Modify

Opened 6 years ago

Last modified 19 months ago

#11091 assigned defect

Router reboot on high download traffic.

Reported by: cristian.sandu@… Owned by: hauke
Priority: normal Milestone: Barrier Breaker 14.07
Component: base system Version: 10.03.1
Keywords: Cc:

Description

I am on Backfire (10.03.1, r29592), the hardware is an Asus 500gP v1.0 router.

On the brcm47xx, kernel 2.6, whenever I download at high speeds(around and over 5MB/s) the CPU load is very high and eventually it reboots, probably because of a kernel panic. I used to think the b43 driver was the cause as it showed up in top as using a lot of CPU but even if wifi down I get crashes.

My kernel version is:

Linux OpenWrt 2.6.32.27 #5 Wed Dec 21 05:56:26 CET 2011 mips GNU/Linux

As the router crashes, I don't know how to get a dmesg dump.

Attachments (0)

Change History (51)

comment:1 Changed 6 years ago by nbd

Check if there's something in /sys/kernel/debug/crashlog

comment:2 Changed 6 years ago by nbd

  • Resolution set to no_response
  • Status changed from new to closed

comment:3 Changed 5 years ago by cristian.sandu@…

  • Resolution no_response deleted
  • Status changed from closed to reopened

I have the same issue. Both on Backfire and Attitude Adjustement. Since kernel 2.4 is no longer supported I am in trouble...

And no, there isn't anything in sys/kernel/debug/ that looks like a crashlog.

The router just reboots when I donwload something at speeds over 4MBs; internet connection dies before that as CPU is 100% all the time.

comment:4 Changed 5 years ago by anonymous

I have the same on WL700gE. No crashlog on serial console, it just triggers watchdog. By the way, how do you see that CPU load is high? When I run "top" and start a high speed download, the terminal simply freezes and there is no output from "top" so I don't see how much is CPU usage. If I stop the download, "top" resumes and CPU usage is low, if not, the watchdog fires. Disabling WiFi doesn't help. On my side it freezes already at ~ 800 kB/s from a single source. The same router ran fine with original Asus software.

comment:5 Changed 5 years ago by Lieta

Cristian, did you find any workaround? How are you using the router now?

comment:6 Changed 5 years ago by cristian.sandu@…

No, I haven't found a solution, I just reverted to kernel 2.4 and backfire.

comment:7 Changed 5 years ago by anonymous

i also have the same experience.. router restart when downloading with high speed..
please, any solutions ? using TPLink WR-1043ND. with attitude adjustment or barrier breaker same crashed..

comment:8 Changed 5 years ago by hauke

  • Owner changed from developers to hauke
  • Status changed from reopened to assigned

comment:9 Changed 5 years ago by anonymous

Isn't this a duplicate of #7552 ?

comment:10 Changed 4 years ago by cristian.sandu@…

I am starting to believe that this is related to qos-scripts.
After removing those I have not seen the issue for a while. It might have gone away completely.

comment:11 Changed 4 years ago by anonymous

no, it's not related to qos-script. i never install luci-app-qos, but still reboot when download with high bandwidth. is it's related to kernel?
or is it related to multiwan, since i combine 2 wan to get high bandwidth output?

comment:12 Changed 4 years ago by anonymous

hi.. i need openwrt with kernel 2.4
pls give me link for wr1043nd with kernel 2.4. i need to try, if using kernel 2.4, this problem dissapeared or not..

comment:13 Changed 4 years ago by L29Ah

I've got the same on Attitude Adjustement.

comment:14 Changed 4 years ago by anonymous

I face the same problem when downloading files (for example 2GB, 3 parallel downloads, Speed 4,5MB/s).
The router loses its wan connection and is rebooting every minute.

Router model/type: Linksys WRT320N
Firmware Version: OpenWrt Barrier Breaker r40512 / LuCI Trunk (svn-r9971)
Kernel Version: 3.10.36

comment:15 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:16 Changed 3 years ago by maximalmin@…

I just recently upgraded my isp from 11 mbps to 50 mbps. All of a sudden my WL500gp started crashing (watching youtube HD 1080p, with another user youtube SD). Doesn't seem to happen on speedtest.net which can pull almost 40 mbps (probably short duration?). I have two of these units, both were on backfire final, both exhibited the issue. This morning I flashed barrier-breaker rc3 to the 2nd unit. Same issue, except this time the power led flash instead of going completely off. However, barrier breaker seems to have no more crashlog, where as the backfire had crashlog, but always random process (kernel softirq, and radvd were the two I looked at)..

First partial crashlog from backfire:
<4>PCI: Enabling device 0000:00:03.2 (0000 -> 0002)
<6>PCI: Fixing up device 0000:00:03.2
<6>ehci_hcd 0000:00:03.2: EHCI Host Controller
<6>ehci_hcd 0000:00:03.2: new USB bus registered, assigned bus number 1
<4>ehci_hcd 0000:00:03.2: Enabling legacy PCI PM
<6>ehci_hcd 0000:00:03.2: irq 6, io mem 0x40002000
<6>ehci_hcd 0000:00:03.2: USB 2.0 started, EHCI 1.00
<6>usb usb1: configuration #1 chosen from 1 choice
<6>hub 1-0:1.0: USB hub found
<6>hub 1-0:1.0: 4 ports detected
<4>nf_conntrack version 0.5.0 (463 buckets, 1852 max)
<4>CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
<4>nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
<4>sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
<6>xt_time: kernel timezone is -0000
<6>IMQ driver loaded successfully.
<6> Hooking IMQ before NAT on PREROUTING.
<6> Hooking IMQ after NAT on POSTROUTING.
<6>ip6_tables: (C) 2000-2006 Netfilter Core Team
<6>Initializing USB Mass Storage driver...
<6>usbcore: registered new interface driver usb-storage
<6>USB Mass Storage support registered.
<6>6in4-henet: Disabled Privacy Extensions
<4>Unhandled kernel unaligned access#1:
<4>Cpu 0
<4>$ 0 : 00000000 1000d800 00000001 81ae0cc0
<4>$ 4 : 4669f2d2 81ae0cc0 8023c624 802e0000
<4>$ 8 : 00000000 81ae0c46 81b5fac0 818e3280
<4>$12 : ffffffff 818e3288 818e3290 00000001
<4>$16 : 00000001 81a1cf20 00000000 81b5fac0
<4>$20 : 00000001 81a1cfd8 802e2668 00000000
<4>$24 : 00000000 801b06a4
<4>$28 : 8181e000 8181fd20 819fe000 801a5b8c
<4>Hi : 00000000
<4>Lo : 000002e0
<4>epc : 8006c960 0x8006c960
<4> Not tainted
<4>ra : 801a5b8c 0x801a5b8c
<4>Status: 1000d803 KERNEL EXL IE
<4>Cause : 00800010
<4>BadVA : 4669f2d2
<4>PrId : 00029006 (Broadcom BCM3302)
<4>Modules linked in: usb_storage ip6t_REJECT ip6t_LOG ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6_queue ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 xt_IMQ imq nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_MARK ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length ipt_ecn xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_CONNMARK xt_recent xt_helper xt_conntrack xt_connmark xt_connbytes xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd sd_mod pppoe pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables sit tunnel4 ppp_async ppp_generic slhc vfat fat ext4 jbd2 cifs b43legacy b43 mac80211 usbcore ts_fsm ts_bm ts_kmp scsi_mod nls_base mbcache crc16 crc_ccitt cfg80211 compat arc4 aes_generic deflate ecb cbc ipv6 switch_robo switch_core diag
<4>Process ksoftirqd/0 (pid: 3, threadinfo=8181e000, task=81813028, tls=00000000)
<4>Stack : 81b5fc50 00000000 81b7cb80 8023b860 802e2b60 81a1cf20 81a1cf20 801a5148
<4> 00000000 81b5fac0 00000001 81a1cfd8 00000000 8023d71c 801e010c 80000000
<4> 81b5f800 8181fd70 8029d044 81aae880 819f53c0 81b5f800 80290000 81b7cb80
<4> 81ae0c46 81a1cf20 81b7cb80 8023d98c 8029c534 801e4d10 80290000 801e4e4c
<4> 81b5f800 801e010c 80000000 81a1e870 819f53c0 81b7cb80 81a1cf20 8029cf7c
<4> ...
<4>Call Trace:[<8023b860>] 0x8023b860
<4>[<801a5148>] 0x801a5148
<4>[<8023d71c>] 0x8023d71c
<4>[<801e010c>] 0x801e010c
<4>[<8023d98c>] 0x8023d98c
<4>[<801e4d10>] 0x801e4d10
<4>[<801e4e4c>] 0x801e4e4c
<4>[<801e010c>] 0x801e010c
<4>[<801af1b0>] 0x801af1b0
<4>[<801de7c0>] 0x801de7c0
<4>[<802444f4>] 0x802444f4
<4>[<801af528>] 0x801af528
<4>[<8018d528>] 0x8018d528
<4>[<801afd00>] 0x801afd00
<4>[<801ac92c>] 0x801ac92c
<4>[<8002bc64>] 0x8002bc64
<4>[<8000abf8>] 0x8000abf8
<4>[<8002bd7c>] 0x8002bd7c
<4>[<8002be1c>] 0x8002be1c
<4>[<8002bdb8>] 0x8002bdb8
<4>[<8002bdb8>] 0x8002bdb8
<4>[<8003db38>] 0x8003db38
<4>[<8000f86c>] 0x8000f86c
<4>[<8003dabc>] 0x8003dabc
<4>[<8000f85c>] 0x8000f85c
<4>
<4>
<4>Code: 3c048007 0800e505 2484c780 <8c820000> 3042c000 10400003 00803021 0801abd9 00000000
<4>Disabling lock debugging due to kernel taint
<0>Kernel panic - not syncing: Fatal exception in interrupt
root@OpenWrt:~# crash unable handle kernel paging virtual address Write failed:

Second crashlog from backfire here:
root@OpenWrt:~# cat /sys/kernel/debug/crashlog
Time: 1410950250.75174
Modules: xt_IMQ@80d8b000+2c0 imq@80cb7000+c10 nf_nat_tftp@80d7d000+1b0 nf_conntrack_tftp@80cb0000+960 nf_nat_irc@80c2a000+360 nf_conntrack_irc@80c2e000+a20 nf_nat_ftp@80c2b000+550 nf_conntrack_ftp@80c2c000+1320 xt_HL@80c25000+500 xt_hl@80c29000+3a0 xt_MARK@80d3f000+1f0 ipt_ECN@80c20000+560 xt_CLASSIFY@80d7c000+1f0 xt_time@80c22000+660 xt_tcpmss@81ab1000+3f0 xt_statistic@80d3e000+320 xt_mark@80c04000+200 xt_length@80c01000+2b0 ipt_ecn@80d3b000+3e0 xt_DSCP@80c07000+600 xt_dscp@80c8c000+410 xt_string@80c00000+370 xt_layer7@80d38000+2a00 ipt_MASQUERADE@81b5f000+3e0 iptable_nat@80d7e000+b40 nf_nat@80d78000+3100 xt_CONNMARK@81b5d000+300 xt_recent@80c02000+16f0 xt_helper@81bcc000+330 xt_conntrack@80c8b000+860 xt_connmark@80c75000+280 xt_connbytes@80c72000+4c0 xt_NOTRACK@80c8d000+2a0 iptable_raw@81b47000+290 xt_state@80c18000+320 nf_conntrack_ipv4@81b3c000+20a0 nf_defrag_ipv4@80c77000+260 nf_conntrack@81b50000+ac00 pppoe@80c10000+27e0 pppox@81bca000+520 ipt_REJECT@80c14000+7c0 xt_TCPMSS@81b7f000+aa0 ipt_LOG@81b4c000+1220 xt_comment@81abf000+1d0xt_multiport@80d76000+770 xt_mac@80c87000+240 xt_limit@81bcf000+480 iptable_mangle@81ad9000+3e0 iptable_filter@80c82000+300 ip_tables@81af0000+22a0 xt_tcpudp@80c81000+740 x_tables@80c0c000+2660 ppp_async@80c84000+2350ppp_generic@81b78000+52e0 slhc@80d26000+14f0 cifs@80d40000+35530 b43legacy@81b60000+17550 b43@80d00000+24e00 mac80211@80cc0000+3f140 ts_fsm@80c0b000+a60 ts_bm@80c1d000+5b0 ts_kmp@80c1f000+540 nls_base@80c6a000+1360 crc_ccitt@81b4a000+3d0 cfg80211@80c40000+24620 compat@81b40000+45f0 arc4@81ad2000+330 aes_generic@81af8000+7950 deflate@81a10000+530 ecb@81aec000+530 cbc@81ad0000+7e0 ipv6@81b80000+45260 switch_robo@81a6e000+1070 switch_core@81a70000+1460 diag@81a08000+1d50
<5>Linux version 2.6.32.27 (jow@…) (gcc version 4.3.3 (GCC) ) #5 Wed Dec 21 05:56:26 CET 2011
<6>CPU revision is: 00029006 (Broadcom BCM3302)
<7>ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x03, vendor 0x4243)
<7>ssb: Core 1 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
<7>ssb: Core 2 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
<7>ssb: Core 3 found: USB 1.1 Hostdev (cc 0x808, rev 0x03, vendor 0x4243)
<7>ssb: Core 4 found: PCI (cc 0x804, rev 0x08, vendor 0x4243)
<7>ssb: Core 5 found: MIPS 3302 (cc 0x816, rev 0x03, vendor 0x4243)
<7>ssb: Core 6 found: V90 (cc 0x807, rev 0x02, vendor 0x4243)
<7>ssb: Core 7 found: IPSEC (cc 0x80B, rev 0x00, vendor 0x4243)
<7>ssb: Core 8 found: MEMC SDRAM (cc 0x80F, rev 0x02, vendor 0x4243)
<6>ssb: chipcommon status is 0x0
<6>ssb: Initializing MIPS core...
<6>ssb: set_irq: core 0x0806, irq 4 => 4
<6>ssb: set_irq: core 0x0806, irq 5 => 5
<6>ssb: set_irq: core 0x0808, irq 6 => 2
<6>ssb: set_irq: core 0x0804, irq 2 => 6
<6>ssb: after irq reconfiguration
<6>ssb: core 0x0800, irq : 2(S) 3* 4 5 6 D I
<6>ssb: core 0x0806, irq : 2(S) 3 4* 5 6 D I
<6>ssb: core 0x0806, irq : 2(S) 3 4 5* 6 D I
<6>ssb: core 0x0808, irq : 2(S)* 3 4 5 6 D I
<6>ssb: core 0x0804, irq : 2(S) 3 4 5 6* D I
<6>ssb: core 0x0816, irq : 2(S)* 3 4 5 6 D I
<6>ssb: core 0x0807, irq : 2(S)* 3 4 5 6 D I
<6>ssb: core 0x080b, irq : 2(S)* 3 4 5 6 D I
<6>ssb: core 0x080f, irq : 2(S) 3 4 5 6 D I*
<6>ssb: Sonics Silicon Backplane found at address 0x18000000
<4>Serial init done.
<6>Determined physical RAM map:
<6> memory: 02000000 @ 00000000 (usable)
<6>Initrd not found or empty - disabling initrd
<4>Zone PFN ranges:
<4> Normal 0x00000000 -> 0x00002000
<4>Movable zone start PFN for each node
<4>early_node_map[1] active PFN ranges
<4> 0: 0x00000000 -> 0x00002000
<7>On node 0 totalpages: 8192
<7>free_area_init_node: node 0, pgdat 802a09f0, node_mem_map 81000000
<7> Normal zone: 64 pages used for memmap
<7> Normal zone: 0 pages reserved
<7> Normal zone: 8128 pages, LIFO batch:0
<4>Built 1 zonelists in Zone order, mobility grouping on. Total pages: 8128
<5>Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
<6>PID hash table entries: 128 (order: -3, 512 bytes)
<6>Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
<6>Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
<4>Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
<4>Primary data cache 16kB, 2-way, VIPT, cache aliases, linesize 16 bytes
<6>Memory: 29496k/32768k available (2332k kernel code, 3272k reserved, 355k data, 136k init, 0k highmem)
<6>Hierarchical RCU implementation.
<6>NR_IRQS:128
<6>console [ttyS0] enabled
<6>Calibrating delay loop... 263.16 BogoMIPS (lpj=526336)
<4>Mount-cache hash table entries: 512
<6>NET: Registered protocol family 16
<4>bio: create slab <bio-0> at 0
<6>Switching to clocksource MIPS
<6>ssb: PCIcore in host mode found
<6>PCI: Fixing up bridge 0000:00:00.0
<7>PCI: Setting latency timer of device 0000:00:00.0 to 64
<6>PCI: Fixing up device 0000:00:00.0
<6>PCI: Fixing latency timer of device 0000:00:00.0 to 168
<7>pci 0000:00:00.0: reg 10 32bit mmio: [0x000000-0x001fff]
<7>pci 0000:00:00.0: reg 14 32bit mmio pref: [0x000000-0x7ffffff]
<7>pci 0000:00:02.0: reg 10 32bit mmio: [0x000000-0x001fff]
<7>pci 0000:00:03.0: reg 20 io port: [0xfce0-0xfcff]
<7>pci 0000:00:03.0: supports D1 D2
<6>pci 0000:00:03.0: PME# supported from D0 D1 D2 D3hot
<6>pci 0000:00:03.0: PME# disabled
<7>pci 0000:00:03.1: reg 20 io port: [0xfce0-0xfcff]
<7>pci 0000:00:03.1: supports D1 D2
<6>pci 0000:00:03.1: PME# supported from D0 D1 D2 D3hot
<6>pci 0000:00:03.1: PME# disabled
<7>pci 0000:00:03.2: reg 10 32bit mmio: [0x000000-0x0000ff]
<7>pci 0000:00:03.2: supports D1 D2
<6>pci 0000:00:03.2: PME# supported from D0 D1 D2 D3hot
<6>pci 0000:00:03.2: PME# disabled
<4>PCI: Enabling device 0000:00:02.0 (0000 -> 0002)
<6>PCI: Fixing up device 0000:00:02.0
<7>PCI: Setting latency timer of device 0000:00:02.0 to 64
<7>ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x0D, vendor 0x4243)
<7>ssb: Core 1 found: IEEE 802.11 (cc 0x812, rev 0x09, vendor 0x4243)
<7>ssb: Core 2 found: PCI (cc 0x804, rev 0x0C, vendor 0x4243)
<7>ssb: Core 3 found: PCMCIA (cc 0x80D, rev 0x07, vendor 0x4243)
<6>ssb: chipcommon status is 0x0
<6>ssb: SPROM offset is 0x1000
<7>ssb: SPROM revision 2 detected.
<6>ssb: Sonics Silicon Backplane found on PCI device 0000:00:02.0
<6>NET: Registered protocol family 2
<6>IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
<6>TCP established hash table entries: 1024 (order: 1, 8192 bytes)
<6>TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
<6>TCP: Hash tables configured (established 1024 bind 1024)
<6>TCP reno registered
<6>NET: Registered protocol family 1
<6>squashfs: version 4.0 (2009/01/31) Phillip Lougher
<4>Registering mini_fo version $Id$
<6>JFFS2 version 2.2. (NAND) (SUMMARY) © 2001-2006 Red Hat, Inc.
<6>msgmni has been set to 57
<6>io scheduler noop registered
<6>io scheduler deadline registered (default)
<6>Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
<6>serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
<6>serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
<6>serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
<6>serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
<4>flash init: 0x1c000000 0x02000000
<6>Physically mapped flash: Found 1 x16 devices at 0x0 in 16-bit bank
<7>Physically mapped flash: Found an alias at 0x800000 for the chip at 0x0
<7>Physically mapped flash: Found an alias at 0x1000000 for the chip at 0x0
<7>Physically mapped flash: Found an alias at 0x1800000 for the chip at 0x0
<4> CFI mfr 0x00000001
<4> CFI id 0x00001301
<4> Amd/Fujitsu Extended Query Table at 0x0040
<4> Amd/Fujitsu Extended Query version 1.3.
<4>Physically mapped flash: CFI does not contain boot bank location. Assuming top.
<5>number of CFI chips: 1
<5>cfi_cmdset_0002: Disabling erase-suspend-program due to code brokenness.
<5>Flash device: 0x800000 at 0x1fc00000
<5>bootloader size: 262144
<5>Creating 4 MTD partitions on "Physically mapped flash":
<5>0x000000000000-0x000000040000 : "cfe"
<5>0x000000040000-0x0000007f0000 : "linux"
<5>0x00000011b000-0x0000007f0000 : "rootfs"
<4>mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
<5>mtd: partition "rootfs" set to be root filesystem
<6>mtd: partition "rootfs_data" created automatically, ofs=300000, len=4F0000
<5>0x000000300000-0x0000007f0000 : "rootfs_data"
<5>0x0000007f0000-0x000000800000 : "nvram"
<6>b44.c:v2.0
<6>eth0: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:17:31:ed:d1:2a
<3>b44: eth1: PHY Reset would not complete.
<6>eth1: Broadcom 44xx/47xx 10/100BaseT Ethernet 40:10:18:00:00:2d
<6>BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
<6>TCP westwood registered
<6>NET: Registered protocol family 17
<6>802.1Q VLAN Support v1.8 Ben Greear <greearb@…>
<6>All bugs added by David S. Miller <davem@…>
<4>VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
<6>Freeing unused kernel memory: 136k freed
<4>Please be patient, while OpenWrt loads ...
<4>diag: Detected 'ASUS WL-500g Premium'
<6>b44: eth0: Link is up at 100 Mbps, full duplex.
<6>b44: eth0: Flow control is off for TX and off for RX.
<6>roboswitch: Probing device eth0: found a 5325! It's a 5350.
<6>mini_fo: using base directory: /
<6>mini_fo: using storage directory: /overlay
<6>b44: eth0: powering down PHY
<6>NET: Registered protocol family 10
<6>lo: Disabled Privacy Extensions
<6>b44: eth0: Link is up at 100 Mbps, full duplex.
<6>b44: eth0: Flow control is off for TX and off for RX.
<6>device eth0.0 entered promiscuous mode
<6>device eth0 entered promiscuous mode
<6>br-lan: port 1(eth0.0) entering forwarding state
<6>Compat-wireless backport release: compat-wireless-2011-11-08-1-g4ab9b62
<6>Backport based on wireless-testing.git master-2011-11-15
<6>cfg80211: Calling CRDA to update world regulatory domain
<6>b43-phy0: Broadcom 4318 WLAN found (core revision 9)
<6>cfg80211: World regulatory domain updated:
<6>cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
<6>cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
<6>cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
<6>cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
<6>cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
<6>cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
<7>ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
<6>Registered led device: b43-phy0::tx
<6>Registered led device: b43-phy0::rx
<6>Registered led device: b43-phy0::assoc
<6>Registered led device: b43-phy0::radio
<6>Broadcom 43xx driver loaded [ Features: PL ]
<6>Broadcom 43xx-legacy driver loaded [ Features: PLID ]
<5>Slow work thread pool: Starting up
<5>Slow work thread pool: Ready
<6>PPP generic driver version 2.4.2
<6>ip_tables: (C) 2000-2006 Netfilter Core Team
<6>NET: Registered protocol family 24
<4>nf_conntrack version 0.5.0 (463 buckets, 1852 max)
<4>CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
<4>nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
<4>sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
<7>eth0: no IPv6 routers present
<6>xt_time: kernel timezone is -0000
<6>IMQ driver loaded successfully.
<6> Hooking IMQ before NAT on PREROUTING.
<6> Hooking IMQ after NAT on POSTROUTING.
<7>eth0.1: no IPv6 routers present
<4>Unhandled kernel unaligned access#1:
<4>Cpu 0
<4>$ 0 : 00000000 10009801 00000001 818f10c0
<4>$ 4 : 54d5bc7a 818f10c0 00000000 81ae4800
<4>$ 8 : 80dc5414 819e58e0 80dc53c0 00000000
<4>$12 : ffffffff 818e3288 818e3290 00000001
<4>$16 : 00000001 80dc5d80 80dc5d80 819d5c80
<4>$20 : 00000001 80dc5e38 802e2668 00000000
<4>$24 : 00000000 801de4e4
<4>$28 : 8181e000 8181fd58 819fe000 801a5b8c
<4>Hi : 00000000
<4>Lo : 000005e0
<4>epc : 8006c960 0x8006c960
<4> Not tainted
<4>ra : 801a5b8c 0x801a5b8c
<4>Status: 10009803 KERNEL EXL IE
<4>Cause : 00800010
<4>BadVA : 54d5bc7a
<4>PrId : 00029006 (Broadcom BCM3302)
<4>Modules linked in: xt_IMQ imq nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_MARK ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length ipt_ecn xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_CONNMARK xt_recent xt_helper xt_conntrack xt_connmark xt_connbytes xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppoe pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc cifs b43legacy b43 mac80211 ts_fsm ts_bm ts_kmp nls_base crc_ccitt cfg80211 compat arc4 aes_generic deflate ecb cbc ipv6 switch_robo switch_core diag
<4>Process ksoftirqd/0 (pid: 3, threadinfo=8181e000, task=81813028, tls=00000000)
<4>Stack : 801e010c 80000000 81ae4800 801c40d8 8029d044 80dc5d80 818f1046 801a5148
<4> 80290000 819d5c80 818f1446 80dc53c0 819d5c80 8023d99c 8029c534 801e4d10
<4> 80290000 801e4e4c 00000000 000005dc 81a19070 81a19070 81a316a0 819d5c80
<4> 80dc5d80 8029cf7c 819fe000 801af1b0 80290000 801de7c0 819e59a0 802444f4
<4> 81b28400 81804180 00000017 00040eff 8029c51c 8029c518 80290000 00000040
<4> ...
<4>Call Trace:[<801e010c>] 0x801e010c
<4>[<801c40d8>] 0x801c40d8
<4>[<801a5148>] 0x801a5148
<4>[<8023d99c>] 0x8023d99c
<4>[<801e4d10>] 0x801e4d10
<4>[<801e4e4c>] 0x801e4e4c
<4>[<801af1b0>] 0x801af1b0
<4>[<801de7c0>] 0x801de7c0
<4>[<802444f4>] 0x802444f4
<4>[<801af528>] 0x801af528
<4>[<801afd00>] 0x801afd00
<4>[<801ac92c>] 0x801ac92c
<4>[<8002bc64>] 0x8002bc64
<4>[<8000abf8>] 0x8000abf8
<4>[<8002bd7c>] 0x8002bd7c
<4>[<8002be1c>] 0x8002be1c
<4>[<8002bdb8>] 0x8002bdb8
<4>[<8002bdb8>] 0x8002bdb8
<4>[<8003db38>] 0x8003db38
<4>[<8000f86c>] 0x8000f86c
<4>[<8003dabc>] 0x8003dabc
<4>[<8000f85c>] 0x8000f85c
<4>
<4>
<4>Code: 3c048007 0800e505 2484c780 <8c820000> 3042c000 10400003 00803021 0801abd9 00000000
<4>Disabling lock debugging due to kernel taint
<0>Kernel panic - not syncing: Fatal exception in interrupt

comment:17 Changed 3 years ago by anonymous

Hello,

I have the same problem ona ASUS WL500g Deluxe.
With the new BB the router crashs too and downloads will fail.
At speedtest.net the connection is stable (also for a short period of time).

It has nothing to do with the wireless. My wireless access point was disabled.

comment:18 Changed 3 years ago by Shogo

I see the same behavior on a Ubiquiti Air Router, which as in your case it worked fine previously. This one, like yours, has 32MiB/8MiB, how is the load in your case?

comment:19 Changed 3 years ago by Shogo

On mine, just before it reboots, the load goes to 7-ish, and hostpad eats a lot of RAM. I will try to capture when this is happening.

comment:20 Changed 3 years ago by Shogo

Sorry, double post.

Last edited 3 years ago by Shogo (previous) (diff)

comment:21 Changed 3 years ago by Slicer

Is this the same behaviour than: /ticket/7552.html ??

comment:22 Changed 3 years ago by Slicer

... ah and here is somtehing similar: https://forum.openwrt.org/viewtopic.php?id=51726

comment:23 Changed 3 years ago by infra

Same here. ASUS WL-500Gp with BB r42625. As soon as bandwidth goes over 4.5MB/s the unit reboots.

Config is at a bare minimum: no wireless card, no LuCI, IPv6 disabled (commented out in modules.d), no ppp. Internet connection via external VDSL Ethernet bridge > 40Mbps. Behavior is reproducible using speedtest.net.

AA rc1 was more stable but had similar problems.

# cat /sys/kernel/debug/
bdi/      crashlog  dma_buf/  gpio      mips/
root@gate:~# cat /sys/kernel/debug/crashlog
Time: 1413413487.407336
Modules:        iptable_nat@81b0b000+7c0        nf_nat_ipv4@81b03000+b3e        nf_conntrack_ipv4@81b06000+1474 iptable_raw@81afe000+280        iptable_mangle@81b00000+3a0     iptable_filter@81afd000+2d0  ipt_REJECT@81af6000+710 ipt_MASQUERADE@81aef000+470     ip_tables@81af8000+23fd xt_time@81af0000+680    xt_tcpudp@81aee000+6e0  xt_state@81aeb000+2b0   xt_nat@81ae9000+430 xt_multiport@81ae7000+4c0        xt_mark@81ae5000+2a0    xt_mac@81ae3000+260     xt_limit@81ae1000+3e0   xt_id@81ade000+1e0      xt_conntrack@81adc000+8d0       xt_comment@81a08000+1e0 xt_TCPMSS@81ad2000+ac0       xt_REDIRECT@81a2d000+420        xt_LOG@81ad8000+27d0    xt_CT@81a0a000+8f0      x_tables@81a0c000+2af5  nf_nat_irc@81a06000+410 nf_nat_ftp@81a11000+4d0 nf_nat@81a14000+2cf0 nf_defrag_ipv4@819f8000+316     nf_conntrack_irc@81a2c000+b10   nf_conntrack_ftp@81aba000+1480  nf_conntrack@81a20000+b63e      crc_ccitt@81a4d000+3fb  tun@81a48000+391f       arc4@81ab9000+520    crypto_blkcipher@81ab4000+2887  leds_gpio@819d1000+650  gpio_button_hotplug@819d4000+1160
<5>[    0.000000] Linux version 3.10.49 (bb@builder1) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r42625) ) #1 Sun Sep 21 03:11:15 CEST 2014
<6>[    0.000000] CPU revision is: 00029006 (Broadcom BMIPS3300)
<6>[    0.000000] bcm47xx: using ssb bus
<6>[    0.000000] ssb: Found chip with id 0x4704, rev 0x08 and package 0x02
<7>[    0.000000] ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x03, vendor 0x4243)
<7>[    0.000000] ssb: Core 1 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
<7>[    0.000000] ssb: Core 2 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
<7>[    0.000000] ssb: Core 3 found: USB 1.1 Hostdev (cc 0x808, rev 0x02, vendor 0x4243)
<7>[    0.000000] ssb: Core 4 found: PCI (cc 0x804, rev 0x08, vendor 0x4243)
<7>[    0.000000] ssb: Core 5 found: MIPS 3302 (cc 0x816, rev 0x00, vendor 0x4243)
<7>[    0.000000] ssb: Core 6 found: V90 (cc 0x807, rev 0x02, vendor 0x4243)
<7>[    0.000000] ssb: Core 7 found: IPSEC (cc 0x80B, rev 0x00, vendor 0x4243)
<7>[    0.000000] ssb: Core 8 found: MEMC SDRAM (cc 0x80F, rev 0x00, vendor 0x4243)
<7>[    0.000000] ssb: chipcommon status is 0x0
<7>[    0.000000] ssb: Initializing MIPS core...
<7>[    0.000000] ssb: set_irq: core 0x0806, irq 4 => 4
<7>[    0.000000] ssb: set_irq: core 0x0806, irq 5 => 5
<7>[    0.000000] ssb: set_irq: core 0x0808, irq 6 => 2
<7>[    0.000000] ssb: set_irq: core 0x0804, irq 2 => 6
<7>[    0.000000] ssb: after irq reconfiguration
<7>[    0.000000] ssb: core 0x0800, irq : 2(S)  3* 4  5  6  D  I
<7>[    0.000000] ssb: core 0x0806, irq : 2(S)  3  4* 5  6  D  I
<7>[    0.000000] ssb: core 0x0806, irq : 2(S)  3  4  5* 6  D  I
<7>[    0.000000] ssb: core 0x0808, irq : 2(S)* 3  4  5  6  D  I
<7>[    0.000000] ssb: core 0x0804, irq : 2(S)  3  4  5  6* D  I
<7>[    0.000000] ssb: core 0x0816, irq : 2(S)* 3  4  5  6  D  I
<7>[    0.000000] ssb: core 0x0807, irq : 2(S)* 3  4  5  6  D  I
<7>[    0.000000] ssb: core 0x080b, irq : 2(S)* 3  4  5  6  D  I
<7>[    0.000000] ssb: core 0x080f, irq : 2(S)  3  4  5  6  D  I*
<4>[    0.000000] Unsupported SPROM revision 0 detected. Will extract v1
<6>[    0.000000] ssb: Sonics Silicon Backplane found at address 0x18000000
<6>[    0.000000] MIPS: machine is Asus WL500GP V1
<6>[    0.000000] Determined physical RAM map:
<6>[    0.000000]  memory: 02000000 @ 00000000 (usable)
<6>[    0.000000] Initrd not found or empty - disabling initrd
<4>[    0.000000] Zone ranges:
<4>[    0.000000]   Normal   [mem 0x00000000-0x01ffffff]
<4>[    0.000000] Movable zone start for each node
<4>[    0.000000] Early memory node ranges
<4>[    0.000000]   node   0: [mem 0x00000000-0x01ffffff]
<7>[    0.000000] On node 0 totalpages: 8192
<7>[    0.000000] free_area_init_node: node 0, pgdat 802d2b80, node_mem_map 81000000
<7>[    0.000000]   Normal zone: 64 pages used for memmap
<7>[    0.000000]   Normal zone: 0 pages reserved
<7>[    0.000000]   Normal zone: 8192 pages, LIFO batch:0
<4>[    0.000000] Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
<4>[    0.000000] Primary data cache 16kB, 2-way, VIPT, cache aliases, linesize 16 bytes
<7>[    0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
<7>[    0.000000] pcpu-alloc: [0] 0
<4>[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
<5>[    0.000000] Kernel command line:  noinitrd console=ttyS0,115200
<6>[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
<6>[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
<6>[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
<6>[    0.000000] Memory: 29064k/32768k available (2386k kernel code, 3704k reserved, 569k data, 176k init, 0k highmem)
<6>[    0.000000] NR_IRQS:128
<6>[    0.070000] Calibrating delay loop... 262.96 BogoMIPS (lpj=1314816)
<6>[    0.070000] pid_max: default: 32768 minimum: 301
<6>[    0.070000] Mount-cache hash table entries: 512
<6>[    0.070000] NET: Registered protocol family 16
<6>[    0.110000] bio: create slab <bio-0> at 0
<6>[    0.120000] Switching to clocksource MIPS
<7>[    0.130000] ssb: PCIcore in host mode found
<6>[    0.430000] PCI host bridge to bus 0000:00
<6>[    0.430000] pci_bus 0000:00: root bus resource [mem 0x40000000-0x7fffffff]
<6>[    0.430000] pci_bus 0000:00: root bus resource [io  0x0100-0x07ff]
<6>[    0.430000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
<7>[    0.430000] pci 0000:00:00.0: [14e4:4704] type 00 class 0x060000
<6>[    0.430000] ssb: PCI: Fixing up bridge 0000:00:00.0
<7>[    0.430000] pci 0000:00:00.0: setting latency timer to 64
<6>[    0.430000] ssb: PCI: Fixing up device 0000:00:00.0
<6>[    0.430000] ssb: PCI: Fixing latency timer of device 0000:00:00.0 to 168
<7>[    0.430000] pci 0000:00:00.0: reg 10: [mem 0x00000000-0x00001fff]
<7>[    0.430000] pci 0000:00:00.0: reg 14: [mem 0x00000000-0x07ffffff pref]
<7>[    0.430000] pci 0000:00:03.0: [1106:3038] type 00 class 0x0c0300
<7>[    0.430000] pci 0000:00:03.0: reg 20: [io  0xfce0-0xfcff]
<7>[    0.430000] pci 0000:00:03.0: supports D1 D2
<7>[    0.430000] pci 0000:00:03.0: PME# supported from D0 D1 D2 D3hot
<7>[    0.430000] pci 0000:00:03.1: [1106:3038] type 00 class 0x0c0300
<7>[    0.430000] pci 0000:00:03.1: reg 20: [io  0xfce0-0xfcff]
<7>[    0.430000] pci 0000:00:03.1: supports D1 D2
<7>[    0.430000] pci 0000:00:03.1: PME# supported from D0 D1 D2 D3hot
<7>[    0.430000] pci 0000:00:03.2: [1106:3104] type 00 class 0x0c0320
<7>[    0.430000] pci 0000:00:03.2: reg 10: [mem 0x00000000-0x000000ff]
<7>[    0.440000] pci 0000:00:03.2: supports D1 D2
<7>[    0.440000] pci 0000:00:03.2: PME# supported from D0 D1 D2 D3hot
<7>[    0.440000] pci_bus 0000:00: busn_res: [bus 00-ff] end is updated to 00
<6>[    0.440000] pci 0000:00:03.2: BAR 0: assigned [mem 0x40000000-0x400000ff]
<6>[    0.440000] pci 0000:00:03.0: BAR 4: assigned [io  0x0400-0x041f]
<6>[    0.440000] pci 0000:00:03.1: BAR 4: assigned [io  0x0420-0x043f]
<6>[    0.450000] NET: Registered protocol family 2
<6>[    0.450000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
<6>[    0.450000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
<6>[    0.450000] TCP: Hash tables configured (established 512 bind 512)
<6>[    0.450000] TCP: reno registered
<6>[    0.450000] UDP hash table entries: 256 (order: 0, 4096 bytes)
<6>[    0.450000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
<6>[    0.450000] NET: Registered protocol family 1
<7>[    0.450000] PCI: CLS 0 bytes, default 16
<6>[    0.460000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
<6>[    0.460000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
<6>[    0.460000] msgmni has been set to 56
<6>[    0.460000] io scheduler noop registered
<6>[    0.460000] io scheduler deadline registered (default)
<6>[    0.460000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
<6>[    0.500000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
<6>[    0.820000] console [ttyS0] enabled
<6>[    0.850000] serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
<5>[    0.860000] physmap platform flash device: 02000001 at 1c000000
<6>[    0.870000] physmap-flash.0: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x000001 Chip ID 0x001301
<7>[    0.880000] physmap-flash.0: Found an alias at 0x800000 for the chip at 0x0
<7>[    0.880000] physmap-flash.0: Found an alias at 0x1000000 for the chip at 0x0
<7>[    0.880000] physmap-flash.0: Found an alias at 0x1800000 for the chip at 0x0
<6>[    0.880000] Amd/Fujitsu Extended Query Table at 0x0040
<6>[    0.880000]   Amd/Fujitsu Extended Query version 1.3.
<5>[    0.890000] number of CFI chips: 1
<5>[    0.910000] 6 bcm47xxpart partitions found on MTD device physmap-flash.0
<5>[    0.920000] Creating 6 MTD partitions on "physmap-flash.0":
<5>[    0.920000] 0x000000000000-0x000000040000 : "boot"
<5>[    0.930000] 0x000000040000-0x0000007f0000 : "firmware"
<5>[    0.940000] 0x00000004001c-0x00000004090c : "loader"
<5>[    0.950000] 0x00000004090c-0x00000014c400 : "linux"
<4>[    0.960000] mtd: partition "linux" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
<5>[    0.980000] 0x00000014c400-0x0000007f0000 : "rootfs"
<4>[    0.980000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
<5>[    1.000000] mtd: device 4 (rootfs) set to be root filesystem
<6>[    1.000000] mtd: partition "rootfs_data" created automatically, ofs=0x390000, len=0x460000
<5>[    1.010000] 0x000000390000-0x0000007f0000 : "rootfs_data"
<5>[    1.020000] 0x0000007f0000-0x000000800000 : "nvram"
<6>[    1.040000] libphy: Fixed MDIO Bus: probed
<6>[    1.050000] b44: Broadcom 44xx/47xx 10/100 PCI ethernet driver version 2.0
<6>[    1.060000] libphy: b44_eth_mii: probed
<6>[    1.140000] b53_common: found switch: BCM5325, rev 0
<6>[    1.150000] b44 ssb0:0: attached PHY driver [Broadcom B53 (1)] (mii_bus:phy_addr=1:1e)
<6>[    1.160000] b44 ssb0:0 eth0: Broadcom 44xx/47xx 10/100 PCI ethernet driver 00:1a:92:7e:29:93
<3>[    1.170000] b44 ssb0:1: No PHY present on this MAC, aborting
<6>[    1.170000] bcm47xx-wdt bcm47xx-wdt.0: BCM47xx Watchdog Timer enabled (30 seconds, Software Timer)
<3>[    1.180000] GPIO_WDT: failed to register misc device
<6>[    1.190000] TCP: cubic registered
<6>[    1.190000] NET: Registered protocol family 17
<5>[    1.200000] Bridge firewalling registered
<6>[    1.200000] 8021q: 802.1Q VLAN Support v1.8
<6>[    1.220000] VFS: Mounted root (squashfs filesystem) readonly on device 31:4.
<6>[    1.230000] Freeing unused kernel memory: 176K (802e4000 - 80310000)
<6>[    4.370000] b44 ssb0:0 eth0: Link is down
<6>[    5.370000] b44 ssb0:0 eth0: Link is down
<6>[    6.180000] b44 ssb0:0 eth0: Link is up at 100 Mbps, full duplex
<6>[    6.180000] b44 ssb0:0 eth0: Flow control is off for TX and off for RX
<5>[   10.050000] jffs2: notice: (233) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 366 of xref (0 dead, 3 orphan) found.
<6>[   10.110000] b44 ssb0:0 eth0: powering down PHY
<6>[   10.200000] b44 ssb0:0 eth0: Link is down
<6>[   13.890000] tun: Universal TUN/TAP device driver, 1.6
<6>[   13.900000] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
<6>[   13.920000] nf_conntrack version 0.5.0 (456 buckets, 1824 max)
<6>[   14.010000] xt_time: kernel timezone is -0000
<6>[   14.020000] ip_tables: (C) 2000-2006 Netfilter Core Team
<6>[   21.990000] b44 ssb0:0 eth0: Link is down
<6>[   22.990000] b44 ssb0:0 eth0: Link is down
<6>[   23.250000] b44 ssb0:0 eth0: Link is up at 100 Mbps, full duplex
<6>[   23.250000] b44 ssb0:0 eth0: Flow control is off for TX and off for RX
<6>[   24.710000] b44 ssb0:0 eth0: powering down PHY
<6>[   24.780000] b44 ssb0:0 eth0: Link is down
<6>[   24.820000] device eth0 entered promiscuous mode
<6>[   25.780000] b44 ssb0:0 eth0: Link is down
<4>[   45.930000] DROP: IN=eth0.9 OUT= MAC=xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx SRC=124.119.93.153 DST=x.x.x.x LEN=60 TOS=0x00 PREC=0x00 TTL=47 ID=49800 DF PROTO=TCP SPT=38762 DPT=23 WINDOW=5440 RES=0x00 SYN URGP=0
<4>[   51.930000] DROP: IN=eth0.9 OUT= MAC=xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx SRC=124.119.93.153 DST=x.x.x.x LEN=60 TOS=0x00 PREC=0x00 TTL=47 ID=49801 DF PROTO=TCP SPT=38762 DPT=23 WINDOW=5440 RES=0x00 SYN URGP=0
<4>[  212.960000] Unhandled kernel unaligned access[#1]:
<4>[  212.960000] CPU: 0 PID: 3 Comm: ksoftirqd/0 Not tainted 3.10.49 #1
<4>[  212.960000] task: 81820028 ti: 8182a000 task.ti: 8182a000
<4>[  212.960000] $ 0   : 00000000 10009800 80d59328 00000028
<4>[  212.960000] $ 4   : 4a494847 80c4d480 00000000 00000024
<4>[  212.960000] $ 8   : 00200200 00100100 00000001 ffffff80
<4>[  212.960000] $12   : 80c24810 00000000 00000000 00000001
<4>[  212.960000] $16   : 80c1c380 00000001 802d0000 802ac244
<4>[  212.960000] $20   : 80cac780 80340000 803463b8 00000002
<4>[  212.960000] $24   : 00000000 800ebc58
<4>[  212.960000] $28   : 8182a000 8182bdf8 00000008 801dccfc
<4>[  212.960000] Hi    : 00000000
<4>[  212.960000] Lo    : 0000006c
<4>[  212.960000] epc   : 801a3118 put_page+0x0/0x4c
<4>[  212.960000]     Not tainted
<4>[  212.960000] ra    : 801dccfc skb_release_data+0xc4/0x118
<4>[  212.960000] Status: 10009803      KERNEL EXL IE
<4>[  212.960000] Cause : 00800010
<4>[  212.960000] BadVA : 4a494847
<4>[  212.960000] PrId  : 00029006 (Broadcom BMIPS3300)
<4>[  212.960000] Modules linked in: iptable_nat nf_nat_ipv4 nf_conntrack_ipv4 iptable_raw iptable_mangle iptable_filter ipt_REJECT ipt_MASQUERADE ip_tables xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_id xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT x_tables nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp nf_conntrack crc_ccitt tun arc4 crypto_blkcipher leds_gpio gpio_button_hotplug
<4>[  212.960000] Process ksoftirqd/0 (pid: 3, threadinfo=8182a000, task=81820028, tls=00000000)
<4>[  212.960000] Stack : 80c1c380 801dcc10 802d0000 802ac244 80cac240 80c1c380 802d3100 8003de5c
<4>[  212.960000]         00200200 80c4d480 802d3100 802d0000 80c1c380 80166620 8182be30 8182be30
<4>[  212.960000]         0000000a 00000007 00000003 803463c0 0000000a 00000100 04208040 80030ecc
<4>[  212.960000]         801deab8 802d1f10 802d6c14 802d1f10 00000000 800ebc58 ffffde01 802d8388
<4>[  212.960000]         00000000 802e0f20 00000001 00000002 801deab8 802d1f10 802d6c14 802d1f10
<4>[  212.960000]         ...
<4>[  212.960000] Call Trace:
<4>[  212.960000] [<801a3118>] put_page+0x0/0x4c
<4>[  212.960000] [<801dccfc>] skb_release_data+0xc4/0x118
<4>[  212.960000] [<8003de5c>] __kfree_skb+0x14/0xd4
<4>[  212.960000] [<80166620>] net_tx_action+0xd4/0x144
<4>[  212.960000] [<80030ecc>] __do_softirq+0xe8/0x1d4
<4>[  212.960000] [<801b94cc>] run_ksoftirqd+0x2c/0x94
<4>[  212.960000] [<801debec>] smpboot_thread_fn+0x134/0x164
<4>[  212.960000] [<80142b10>] kthread+0xb4/0xbc
<4>[  212.960000] [<800014a8>] ret_from_kernel_thread+0x14/0x1c
<4>[  212.960000]
<4>[  212.960000]
<4>[  212.960000] Code: 8fb00014  0800204b  27bd0020 <8c820000> 3042c000  10400003  00801821  08068957  00000000
<4>[  213.190000] ---[ end trace 00d2823f3c064d4b ]---

===================================
Time: 1413413487.419611
<4>[  212.960000] Call Trace:
<4>[  212.960000] [<801a3118>] put_page+0x0/0x4c
<4>[  212.960000] [<801dccfc>] skb_release_data+0xc4/0x118
<4>[  212.960000] [<8003de5c>] __kfree_skb+0x14/0xd4
<4>[  212.960000] [<80166620>] net_tx_action+0xd4/0x144
<4>[  212.960000] [<80030ecc>] __do_softirq+0xe8/0x1d4
<4>[  212.960000] [<801b94cc>] run_ksoftirqd+0x2c/0x94
<4>[  212.960000] [<801debec>] smpboot_thread_fn+0x134/0x164
<4>[  212.960000] [<80142b10>] kthread+0xb4/0xbc
<4>[  212.960000] [<800014a8>] ret_from_kernel_thread+0x14/0x1c
<4>[  212.960000]
<4>[  212.960000]
<4>[  212.960000] Code: 8fb00014  0800204b  27bd0020 <8c820000> 3042c000  10400003  00801821  08068957  00000000
<4>[  213.190000] ---[ end trace 00d2823f3c064d4b ]---
<0>[  213.200000] Kernel panic - not syncing: Fatal exception in interrupt
# ps
  PID USER       VSZ STAT COMMAND
    1 root      1424 S    /sbin/procd
    2 root         0 SW   [kthreadd]
    3 root         0 SW   [ksoftirqd/0]
    4 root         0 SW   [kworker/0:0]
    5 root         0 SW<  [kworker/0:0H]
    6 root         0 SW   [kworker/u2:0]
    7 root         0 SW<  [khelper]
   45 root         0 SW<  [writeback]
   48 root         0 SW<  [bioset]
   50 root         0 SW<  [kblockd]
   89 root         0 SW   [kworker/0:1]
   96 root         0 SW   [kswapd0]
   97 root         0 SW   [fsnotify_mark]
  181 root         0 SW<  [deferwq]
  186 root         0 SW   [kworker/u2:2]
  235 root         0 SWN  [jffs2_gcd_mtd5]
  308 root       900 S    /sbin/ubusd
  309 root       772 S    /sbin/askfirst ttyS0 /bin/ash --login
  537 root      1056 S    /sbin/logd -S 16
  710 root      1592 S    /sbin/netifd
  778 root      1152 S    /usr/sbin/dropbear -F -P /var/run/dropbear.1.pid -s -p 22 -K 300
  839 root      1488 S    udhcpc -p /var/run/udhcpc-eth0.9.pid -s /lib/netifd/dhcp.script -f -t 0 -i eth0.9 -C
  880 root      1144 S    /usr/sbin/uhttpd -f -h /www -r gate -x /cgi-bin -t 60 -T 30 -A 1 -n 3 -R -p 0.0.0.0:80
  888 nobody     988 S    /usr/sbin/dnsmasq -C /var/etc/dnsmasq.conf -k
  891 root      1216 S    /usr/sbin/xinetd -pidfile /var/run/xinetd.pid
  925 root      1700 S    /usr/sbin/openvpn --syslog openvpn(sample_server) --cd /var/etc --config openvpn-sample_server.conf
  990 root      1492 S    /usr/sbin/ntpd -n -l -p x.x.x.x
 1147 root      1544 S    {dynamic_dns_upd} /bin/sh /usr/lib/ddns/dynamic_dns_updater.sh myddns 0
 1148 root      1544 S    {dynamic_dns_upd} /bin/sh /usr/lib/ddns/dynamic_dns_updater.sh changeip 0
 1928 root      1220 R    /usr/sbin/dropbear -F -P /var/run/dropbear.1.pid -s -p 22 -K 300
 1930 root      1496 S    -ash
 2381 root      1480 S    sleep 300
 2567 root      1480 S    sleep 300
 2576 root      1488 R    ps
# opkg list-installed
base-files - 156-r42625
busybox - 1.22.1-2
ddns-scripts - 1.0.0-23
dnsmasq - 2.71-4
dropbear - 2014.63-2
fstools - 2014-06-22-e0430f5c62f367e5a8e02755412977b02c3fc45e
ip6tables - 1.4.21-1
iptables - 1.4.21-1
jshn - 2014-08-04-dffbc09baf71b294185a36048166d00066d433b5
jsonfilter - 2014-06-19-cdc760c58077f44fc40adbbe41e1556a67c1b9a9
kernel - 3.10.49-1-4a3d5ba6a806f7f9fc6e7f398c3bebb5
kmod-crypto-aes - 3.10.49-1
kmod-crypto-arc4 - 3.10.49-1
kmod-crypto-core - 3.10.49-1
kmod-gpio-button-hotplug - 3.10.49-1
kmod-ip6tables - 3.10.49-1
kmod-ipt-conntrack - 3.10.49-1
kmod-ipt-core - 3.10.49-1
kmod-ipt-nat - 3.10.49-1
kmod-ipt-nathelper - 3.10.49-1
kmod-ipv6 - 3.10.49-1
kmod-leds-gpio - 3.10.49-1
kmod-ledtrig-default-on - 3.10.49-1
kmod-ledtrig-netdev - 3.10.49-1
kmod-ledtrig-timer - 3.10.49-1
kmod-lib-crc-ccitt - 3.10.49-1
kmod-slhc - 3.10.49-1
kmod-tun - 3.10.49-1
libblobmsg-json - 2014-08-04-dffbc09baf71b294185a36048166d00066d433b5
libc - 0.9.33.2-1
libgcc - 4.8-linaro-1
libip4tc - 1.4.21-1
libip6tc - 1.4.21-1
libiwinfo - 51
libiwinfo-lua - 51
libjson-c - 0.11-2
libjson-script - 2014-08-04-dffbc09baf71b294185a36048166d00066d433b5
liblua - 5.1.5-1
liblzo - 2.08-1
libnl-tiny - 0.1-3
libpolarssl - 1.3.8-1
libubox - 2014-08-04-dffbc09baf71b294185a36048166d00066d433b5
libubus - 2014-09-17-4c4f35cf2230d70b9ddd87638ca911e8a563f2f3
libubus-lua - 2014-09-17-4c4f35cf2230d70b9ddd87638ca911e8a563f2f3
libuci - 2014-04-11.1-1
libuci-lua - 2014-04-11.1-1
libxtables - 1.4.21-1
lua - 5.1.5-1
mtd - 20
netifd - 2014-09-08-46c569989f984226916fec28dd8ef152a664043e
nvram - 9
odhcp6c - 2014-08-25-0300fe7589a1701361735ac068e4b57bb1a1896f
odhcpd - 2014-08-23-24452e1e3e9adfd9d8e183db1aa589f77727f5a7
openvpn-polarssl - 2.3.4-1
opkg - 9c97d5ecd795709c8584e972bfdf3aee3a5b846d-7
procd - 2014-09-15-c1a558f7d0c1e6c1ffa5a47d557a7b45205eef1d
swconfig - 10
ubox - 2014-09-16-5c45b560bc8c9e13682269ed963a8a4a65959518
ubus - 2014-09-17-4c4f35cf2230d70b9ddd87638ca911e8a563f2f3
ubusd - 2014-09-17-4c4f35cf2230d70b9ddd87638ca911e8a563f2f3
uci - 2014-04-11.1-1
uhttpd - 2014-08-25-dabd7dea6445aaa0e5b8d9add1872fa7393b3a85
uhttpd-mod-ubus - 2014-08-25-dabd7dea6445aaa0e5b8d9add1872fa7393b3a85
xinetd - 2.3.15-2

comment:24 Changed 3 years ago by Slicer

Hello,

on my old Attitude Adjustment my connection is still stable.
No crashs or kernel oops against speedtest.net with wireless on and off.

The only thing the ksoftirqd/1 has a very high cpu load on my ASUS Wlan500g during the tests; With activated wireless irq5/b43 also.


OpenWrt, 12.09, r36088, attitude_adjustment, brcm47xx/generic"

comment:25 Changed 3 years ago by safsaf

For me, all of Attitude Adjustment, Barrier Breaker and also yesterday's nightly snapshot r43340 crashes. AA looks a bit more stable, BB and nightly can crash even on youtube HD video playback!

From r43340 crashlog:

Time: 1416695096.262194
Modules:        pppoe@80c60000+1e50     ppp_async@80c6a000+1890 iptable_nat@80c6c000+800        b43legacy@80d40000+14fad        b43@80e00000+56e11      pppox@80cf6000+53a      ppp_generic@80cf8000+4f22       nf_nat_ipv4@80d34000+b4e    nf_conntrack_ipv6@80de8000+15c0  nf_conntrack_ipv4@80d3c000+1430 mac80211@80d80000+5acd7 ipt_MASQUERADE@80c53000+460     cfg80211@80d00000+30d53 xt_time@80cef000+680    xt_tcpudp@80ced000+6e0  xt_state@80ceb000+2b0   xt_nat@80cf3000+430 xt_multiport@80cf0000+4c0        xt_mark@80cea000+2a0    xt_mac@80ce9000+270     xt_limit@80ce4000+3e0   xt_id@80ce1000+1e0      xt_conntrack@80ce0000+8d0       xt_comment@81b1d000+1e0 xt_TCPMSS@81b1c000+ab0  xt_REDIRECT@81b17000+420    xt_LOG@81b18000+27f0     xt_CT@81b12000+8c0      slhc@81b8e000+134b      nf_nat_irc@81b97000+410 nf_nat_ftp@80ccf000+4d0 nf_nat@81b88000+28ea    nf_defrag_ipv6@81b94000+23f7    nf_defrag_ipv4@81b87000+336     nf_conntrack_irc@80cca000+b20nf_conntrack_ftp@80c1c000+1500  nf_conntrack@80c10000+bfde      iptable_raw@81bfe000+280        iptable_mangle@81bfc000+3a0     iptable_filter@81bfb000+2d0     ipt_REJECT@80cd2000+7e0 ip_tables@81bf8000+242d crc_ccitt@81b9b000+3fb  compat@81b99000+85b  ip6t_REJECT@81b9a000+990        ip6table_raw@80cdc000+240       ip6table_mangle@81b7e000+410    ip6table_filter@81af6000+290    ip6_tables@80cc4000+2361        x_tables@81b28000+2af5  ipv6@80c80000+414f9     arc4@81bda000+520    crypto_blkcipher@81bdc000+2848  leds_gpio@81adb000+690  gpio_button_hotplug@81b64000+11a0       tg3@81b40000+21640      hwmon@81ae5000+714      bgmac@81af0000+3880     b44@81ae8000+59c0       ptp@81ad8000+18d2       pps_core@81ad6000+1489       mii@81ad0000+de8
<7>[    0.450000] pci 0000:00:03.0: supports D1 D2
<7>[    0.450000] pci 0000:00:03.0: PME# supported from D0 D1 D2 D3hot
<7>[    0.450000] pci 0000:00:03.1: [1106:3038] type 00 class 0x0c0300
<7>[    0.450000] pci 0000:00:03.1: reg 0x20: [io  0xfce0-0xfcff]
<7>[    0.450000] pci 0000:00:03.1: supports D1 D2
<7>[    0.450000] pci 0000:00:03.1: PME# supported from D0 D1 D2 D3hot
<7>[    0.450000] pci 0000:00:03.2: [1106:3104] type 00 class 0x0c0320
<7>[    0.450000] pci 0000:00:03.2: reg 0x10: [mem 0x00000000-0x000000ff]
<7>[    0.450000] pci 0000:00:03.2: supports D1 D2
<7>[    0.450000] pci 0000:00:03.2: PME# supported from D0 D1 D2 D3hot
<7>[    0.450000] pci_bus 0000:00: busn_res: [bus 00-ff] end is updated to 00
<6>[    0.450000] pci 0000:00:02.0: BAR 0: assigned [mem 0x40000000-0x40001fff]
<6>[    0.450000] pci 0000:00:03.2: BAR 0: assigned [mem 0x40002000-0x400020ff]
<6>[    0.450000] pci 0000:00:03.0: BAR 4: assigned [io  0x0400-0x041f]
<6>[    0.450000] pci 0000:00:03.1: BAR 4: assigned [io  0x0420-0x043f]
<4>[    0.460000] PCI: Enabling device 0000:00:02.0 (0000 -> 0002)
<6>[    0.460000] ssb: PCI: Fixing up device 0000:00:02.0
<6>[    0.500000] ssb: Found chip with id 0x4318, rev 0x02 and package 0x02
<7>[    0.500000] ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x0D, vendor 0x4243)
<7>[    0.500000] ssb: Core 1 found: IEEE 802.11 (cc 0x812, rev 0x09, vendor 0x4243)
<7>[    0.500000] ssb: Core 2 found: PCI (cc 0x804, rev 0x0C, vendor 0x4243)
<7>[    0.500000] ssb: Core 3 found: PCMCIA (cc 0x80D, rev 0x07, vendor 0x4243)
<7>[    0.540000] ssb: chipcommon status is 0x0
<7>[    0.540000] ssb: SPROM offset is 0x1000
<7>[    0.540000] ssb: SPROM revision 2 detected
<6>[    0.580000] ssb: Sonics Silicon Backplane found on PCI device 0000:00:02.0
<6>[    0.580000] NET: Registered protocol family 2
<6>[    0.590000] TCP established hash table entries: 1024 (order: 0, 4096 bytes)
<6>[    0.590000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
<6>[    0.590000] TCP: Hash tables configured (established 1024 bind 1024)
<6>[    0.590000] TCP: reno registered
<6>[    0.590000] UDP hash table entries: 256 (order: 0, 4096 bytes)
<6>[    0.590000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
<6>[    0.590000] NET: Registered protocol family 1
<7>[    0.590000] PCI: CLS 0 bytes, default 16
<6>[    0.600000] futex hash table entries: 256 (order: -1, 3072 bytes)
<6>[    0.600000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
<6>[    0.600000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
<6>[    0.600000] msgmni has been set to 56
<6>[    0.600000] io scheduler noop registered
<6>[    0.600000] io scheduler deadline registered (default)
<6>[    0.610000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
<6>[    0.650000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3, base_baud = 4125000) is a 16550A
<6>[    1.020000] console [ttyS0] enabled
<6>[    1.040000] serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3, base_baud = 4125000) is a 16550A
<5>[    1.060000] physmap platform flash device: 02000001 at 1c000000
<6>[    1.060000] physmap-flash.0: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x000001 Chip ID 0x001301
<7>[    1.080000] physmap-flash.0: Found an alias at 0x800000 for the chip at 0x0
<7>[    1.080000] physmap-flash.0: Found an alias at 0x1000000 for the chip at 0x0
<7>[    1.080000] physmap-flash.0: Found an alias at 0x1800000 for the chip at 0x0
<6>[    1.080000] Amd/Fujitsu Extended Query Table at 0x0040
<6>[    1.080000]   Amd/Fujitsu Extended Query version 1.3.
<5>[    1.090000] number of CFI chips: 1
<5>[    1.110000] 5 bcm47xxpart partitions found on MTD device physmap-flash.0
<5>[    1.120000] Creating 5 MTD partitions on "physmap-flash.0":
<5>[    1.120000] 0x000000000000-0x000000040000 : "boot"
<5>[    1.130000] 0x000000040000-0x0000007f0000 : "firmware"
<5>[    1.140000] 0x00000004001c-0x0000001cf000 : "linux"
<4>[    1.150000] mtd: partition "linux" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
<5>[    1.170000] 0x0000001cf000-0x0000007f0000 : "rootfs"
<4>[    1.170000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
<5>[    1.190000] mtd: device 3 (rootfs) set to be root filesystem
<5>[    1.200000] 1 squashfs-split partitions found on MTD device rootfs
<5>[    1.200000] 0x0000003d0000-0x0000007f0000 : "rootfs_data"
<5>[    1.210000] 0x0000007f0000-0x000000800000 : "nvram"
<6>[    1.240000] libphy: Fixed MDIO Bus: probed
<6>[    1.240000] bcm47xx-wdt bcm47xx-wdt.0: BCM47xx Watchdog Timer enabled (30 seconds, Software Timer)
<3>[    1.260000] GPIO_WDT: failed to register misc device
<6>[    1.260000] TCP: cubic registered
<6>[    1.260000] NET: Registered protocol family 17
<5>[    1.270000] Bridge firewalling registered
<6>[    1.270000] 8021q: 802.1Q VLAN Support v1.8
<6>[    1.300000] VFS: Mounted root (squashfs filesystem) readonly on device 31:3.
<6>[    1.310000] Freeing unused kernel memory: 156K (80329000 - 80350000)
<6>[    5.400000] pps_core: LinuxPPS API ver. 1 registered
<6>[    5.400000] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
<6>[    5.420000] PTP clock support registered
<6>[    5.430000] b44: Broadcom 44xx/47xx 10/100 PCI ethernet driver version 2.0
<6>[    5.440000] libphy: b44_eth_mii: probed
<6>[    5.600000] b53_common: found switch: BCM5325, rev 0
<6>[    5.610000] b44 ssb0:0: attached PHY driver [Broadcom B53 (1)] (mii_bus:phy_addr=1:1e)
<6>[    5.610000] b44 ssb0:0 eth0: Broadcom 44xx/47xx 10/100 PCI ethernet driver 00:1b:fc:57:af:5f
<3>[    5.620000] b44 ssb0:1: No PHY present on this MAC, aborting
<6>[    5.640000] bgmac: Broadcom 47xx GBit MAC driver loaded
<6>[    6.960000] b44 ssb0:0 eth0: Link is up at 100 Mbps, half duplex
<6>[    6.960000] b44 ssb0:0 eth0: Flow control is off for TX and off for RX
<5>[    7.150000] random: mktemp urandom read with 62 bits of entropy available
<6>[    8.610000] libphy: 1:1e - Link is Up - 100/Full
<5>[   10.780000] jffs2: notice: (247) jffs2_build_xattr_subsystem: complete building xattr subsystem, 17 of xdatum (0 unchecked, 16 orphan) and 22 of xref (0 dead, 16 orphan) found.
<6>[   10.840000] b44 ssb0:0 eth0: powering down PHY
<6>[   11.610000] libphy: 1:1e - Link is Down
<6>[   16.740000] NET: Registered protocol family 10
<6>[   16.760000] ip6_tables: (C) 2000-2006 Netfilter Core Team
<6>[   16.790000] Loading modules backported from Linux version master-2014-11-04-0-gf3660a2
<6>[   16.800000] Backport generated by backports.git backports-20141023-2-g4ff890b
<6>[   16.820000] ip_tables: (C) 2000-2006 Netfilter Core Team
<6>[   16.850000] nf_conntrack version 0.5.0 (452 buckets, 1808 max)
<6>[   16.950000] xt_time: kernel timezone is -0000
<6>[   17.010000] cfg80211: Calling CRDA to update world regulatory domain
<6>[   17.020000] cfg80211: World regulatory domain updated:
<6>[   17.020000] cfg80211:  DFS Master region: unset
<6>[   17.030000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
<6>[   17.040000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
<6>[   17.040000] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
<6>[   17.050000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
<6>[   17.060000] cfg80211:   (5170000 KHz - 5250000 KHz @ 160000 KHz), (N/A, 2000 mBm), (N/A)
<6>[   17.070000] cfg80211:   (5250000 KHz - 5330000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
<6>[   17.080000] cfg80211:   (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
<6>[   17.080000] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
<6>[   17.090000] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
<6>[   17.270000] PPP generic driver version 2.4.2
<6>[   17.280000] NET: Registered protocol family 24
<6>[   17.330000] b43-phy0: Broadcom 4318 WLAN found (core revision 9)
<6>[   17.400000] b43-phy0: Found PHY: Analog 3, Type 2 (G), Revision 7
<6>[   17.410000] b43-phy0: Found Radio: Manuf 0x17F, ID 0x2050, Revision 8, Version 0
<6>[   17.570000] Broadcom 43xx driver loaded [ Features: PNL ]
<6>[   17.590000] Broadcom 43xx-legacy driver loaded [ Features: PLD ]
<7>[   17.630000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
<6>[   23.460000] b44 ssb0:0 eth0: Link is up at 100 Mbps, full duplex
<6>[   23.470000] b44 ssb0:0 eth0: Flow control is off for TX and off for RX
<6>[   25.100000] libphy: 1:1e - Link is Up - 100/Full
<5>[   29.880000] random: nonblocking pool is initialized
<6>[   30.730000] b44 ssb0:0 eth0: powering down PHY
<6>[   30.780000] b44 ssb0:0 eth0: Link is up at 100 Mbps, full duplex
<6>[   30.780000] b44 ssb0:0 eth0: Flow control is off for TX and off for RX
<6>[   30.830000] device eth0.1 entered promiscuous mode
<6>[   30.830000] device eth0 entered promiscuous mode
<6>[   30.850000] br-lan: port 1(eth0.1) entered forwarding state
<6>[   30.850000] br-lan: port 1(eth0.1) entered forwarding state
<6>[   32.850000] br-lan: port 1(eth0.1) entered forwarding state
<6>[   36.680000] b43-phy0: Loading firmware version 666.2 (2011-02-23 01:15:07)
<6>[   36.840000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
<6>[   36.900000] device wlan0 entered promiscuous mode
<6>[   46.430000] br-lan: port 2(wlan0) entered forwarding state
<6>[   46.430000] br-lan: port 2(wlan0) entered forwarding state
<6>[   46.440000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
<6>[   48.430000] br-lan: port 2(wlan0) entered forwarding state
<4>[  843.390000] ------------[ cut here ]------------
<4>[  843.400000] WARNING: CPU: 0 PID: 3 at net/core/dev.c:2245 skb_warn_bad_offload+0xc0/0xe8()
<4>[  843.410000] : caps=(0x0000000000005000, 0x0000000000000000) len=1500 data_len=0 gso_size=25893 gso_type=11313 ip_summed=0
<4>[  843.420000] Modules linked in: pppoe ppp_async iptable_nat b43legacy b43 pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_id xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp nf_conntrack iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt compat ip6t_REJECT ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ipv6 arc4 crypto_blkcipher leds_gpio gpio_button_hotplug tg3 hwmon bgmac b44 ptp pps_core mii
<4>[  843.480000] CPU: 0 PID: 3 Comm: ksoftirqd/0 Not tainted 3.14.18 #1
<4>[  843.490000] Stack : 00000000 00000000 00000000 00000000 80387452 00000036 81820238 00000008
<4>[  843.490000]         802cf950 8031921f 00000003 80376080 81820238 00000008 8030f130 8030f128
<4>[  843.490000]         00000000 80269a84 00000003 801c5234 000008c5 00000008 802d2b78 8182bc54
<4>[  843.490000]         00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
<4>[  843.490000]         00000000 00000000 00000000 00000000 00000000 00000000 00000000 8182bbe0
<4>[  843.490000]         ...
<4>[  843.520000] Call Trace:
<4>[  843.520000] [<80203eb0>] show_stack+0x48/0x70
<4>[  843.530000] [<8027ade8>] warn_slowpath_common+0x84/0xb4
<4>[  843.530000] [<8027ae44>] warn_slowpath_fmt+0x2c/0x38
<4>[  843.540000] [<8026a04c>] skb_warn_bad_offload+0xc0/0xe8
<4>[  843.550000] [<80050ed0>] __skb_gso_segment+0x50/0xf4
<4>[  843.550000] [<8013600c>] ip_forward_finish+0x148/0x1fc
<4>[  843.560000] [<80046f78>] __netif_receive_skb_core+0x630/0x6b0
<4>[  843.560000] [<81aec1e4>] 0x81aec1e4
<4>[  843.570000]
<4>[  843.570000] ---[ end trace 1cab42719068fa0b ]---
<4>[  843.570000] Unhandled kernel unaligned access[#1]:
<4>[  843.570000] CPU: 0 PID: 3 Comm: ksoftirqd/0 Tainted: G        W    3.14.18 #1
<4>[  843.570000] task: 81820010 ti: 8182a000 task.ti: 8182a000
<4>[  843.570000] $ 0   : 00000000 00000000 81608da8 00000028
<4>[  843.570000] $ 4   : 3248fb15 81608720 00007088 00000000
<4>[  843.570000] $ 8   : 0000002d 30393137 61663836 5d206230
<4>[  843.570000] $12   : 00000000 03bf0000 00000000 bc000000
<4>[  843.570000] $16   : 81b76320 00000001 00000014 8199f000
<4>[  843.570000] $20   : 00000000 00000008 8030f130 8030f128
<4>[  843.570000] $24   : 00000003 8024b164
<4>[  843.570000] $28   : 8182a000 8182bd28 00000000 8020f520
<4>[  843.570000] Hi    : 00000000
<4>[  843.570000] Lo    : 00000083
<4>[  843.570000] epc   : 801d2024 put_page+0x0/0x4c
<4>[  843.570000]     Tainted: G        W
<4>[  843.570000] ra    : 8020f520 skb_release_data+0xc4/0x118
<4>[  843.570000] Status: 1000d803      KERNEL EXL IE
<4>[  843.570000] Cause : 00800010
<4>[  843.570000] BadVA : 3248fb15
<4>[  843.570000] PrId  : 00029006 (Broadcom BMIPS3300)
<4>[  843.570000] Modules linked in: pppoe ppp_async iptable_nat b43legacy b43 pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_id xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp nf_conntrack iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt compat ip6t_REJECT ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ipv6 arc4 crypto_blkcipher leds_gpio gpio_button_hotplug tg3 hwmon bgmac b44 ptp pps_core mii
<4>[  843.570000] Process ksoftirqd/0 (pid: 3, threadinfo=8182a000, task=81820010, tls=00000000)
<4>[  843.570000] Stack : 81b76320 8020f434 81b76320 00007088 00000000 81b76320 ffffffea 80041df0
<4>[  843.570000]         8030f130 81b76320 00000001 00000014 81b76320 80136024 81b76320 8160878c
<4>[  843.570000]         81bcf000 80135ec4 00000001 81b76320 80310514 80310514 8030f11c 81b76320
<4>[  843.570000]         8199f000 80046f78 0000011c 81ae87c4 80df8380 8004602c 8030f130 801d6a20
<4>[  843.570000]         000001e4 80310000 8199f428 8199f400 0000011c 81b76320 0000000e 000005ee
<4>[  843.570000]         ...
<4>[  843.570000] Call Trace:
<4>[  843.570000] [<801d2024>] put_page+0x0/0x4c
<4>[  843.570000] [<8020f520>] skb_release_data+0xc4/0x118
<4>[  843.570000] [<80041df0>] __kfree_skb+0x14/0xd4
<4>[  843.570000] [<80136024>] ip_forward_finish+0x160/0x1fc
<4>[  843.570000] [<80046f78>] __netif_receive_skb_core+0x630/0x6b0
<4>[  843.570000] [<81aec1e4>] 0x81aec1e4
<4>[  843.570000]
<4>[  843.570000]
<4>[  843.570000] Code: 8fb00014  0800264a  27bd0020 <8c820000> 3042c000  10400003  00801821  0807453d  00000000
<4>[  843.810000] ---[ end trace 1cab42719068fa0c ]---

comment:28 Changed 3 years ago by wormball

The same issue. OpenWrt Backfire 10.03.1, ASUS WL-500g Premium. Reboots after random time (some seconds or minutes) watching youtube.

root@OpenWrt:~# cat /sys/kernel/debug/crashlog
Time: 1436517675.505882
Modules:	nf_nat_tftp@81aaf000+1b0	nf_conntrack_tftp@81bfa000+960	nf_nat_irc@81a4f000+360	nf_conntrack_irc@81b2a000+a20	nf_nat_ftp@81b23000+550	nf_conntrack_ftp@81b80000+1320	ipt_MASQUERADE@81b36000+3e0	iptable_nat@81b56000+b40	nf_nat@81b50000+3100	xt_NOTRACK@81a13000+2a0	iptable_raw@81b57000+290	xt_state@81bfb000+320	nf_conntrack_ipv4@81b5c000+20a0	nf_defrag_ipv4@81bff000+260	nf_conntrack@81b90000+ac00	ipt_REJECT@81b22000+7c0	xt_TCPMSS@80c67000+aa0	ipt_LOG@81b8a000+1220	xt_comment@81bf6000+1d0	xt_multiport@81bba000+770	xt_mac@81bf1000+240	xt_limit@81ab0000+480	iptable_mangle@81bed000+3e0	iptable_filter@81bbf000+300	ip_tables@80c6c000+22a0	xt_tcpudp@81b1e000+740	x_tables@80c68000+2660	ppp_async@81bbc000+2350	b43legacy@81ba0000+17550	b43@80c40000+24e00	pppoe@81b78000+27e0	pppox@81a12000+520	mac80211@80c00000+3f140	ppp_generic@81b70000+52e0	slhc@81be6000+14f0	crc_ccitt@81abf000+3d0	cfg80211@81bc0000+24620	compat@81b48000+45f0	arc4@81ab7000+330	aes_generic@81b40000+7950	deflate@81b2f000+530	ecb@81b2b000+530	cbc@819e4000+7e0	switch_robo@81a76000+1070	switch_core@81a72000+1460	diag@81a0a000+1d50
<5>Linux version 2.6.32.27 (jow@nd-build-02.linux-appliance.net) (gcc version 4.3.3 (GCC) ) #5 Wed Dec 21 05:56:26 CET 2011
<6>CPU revision is: 00029006 (Broadcom BCM3302)
<7>ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x03, vendor 0x4243)
<7>ssb: Core 1 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
<7>ssb: Core 2 found: Fast Ethernet (cc 0x806, rev 0x06, vendor 0x4243)
<7>ssb: Core 3 found: USB 1.1 Hostdev (cc 0x808, rev 0x03, vendor 0x4243)
<7>ssb: Core 4 found: PCI (cc 0x804, rev 0x08, vendor 0x4243)
<7>ssb: Core 5 found: MIPS 3302 (cc 0x816, rev 0x03, vendor 0x4243)
<7>ssb: Core 6 found: V90 (cc 0x807, rev 0x02, vendor 0x4243)
<7>ssb: Core 7 found: IPSEC (cc 0x80B, rev 0x00, vendor 0x4243)
<7>ssb: Core 8 found: MEMC SDRAM (cc 0x80F, rev 0x02, vendor 0x4243)
<6>ssb: chipcommon status is 0x0
<6>ssb: Initializing MIPS core...
<6>ssb: set_irq: core 0x0806, irq 4 => 4
<6>ssb: set_irq: core 0x0806, irq 5 => 5
<6>ssb: set_irq: core 0x0808, irq 6 => 2
<6>ssb: set_irq: core 0x0804, irq 2 => 6
<6>ssb: after irq reconfiguration
<6>ssb: core 0x0800, irq : 2(S)  3* 4  5  6  D  I 
<6>ssb: core 0x0806, irq : 2(S)  3  4* 5  6  D  I 
<6>ssb: core 0x0806, irq : 2(S)  3  4  5* 6  D  I 
<6>ssb: core 0x0808, irq : 2(S)* 3  4  5  6  D  I 
<6>ssb: core 0x0804, irq : 2(S)  3  4  5  6* D  I 
<6>ssb: core 0x0816, irq : 2(S)* 3  4  5  6  D  I 
<6>ssb: core 0x0807, irq : 2(S)* 3  4  5  6  D  I 
<6>ssb: core 0x080b, irq : 2(S)* 3  4  5  6  D  I 
<6>ssb: core 0x080f, irq : 2(S)  3  4  5  6  D  I*
<6>ssb: Sonics Silicon Backplane found at address 0x18000000
<4>Serial init done.
<6>Determined physical RAM map:
<6> memory: 02000000 @ 00000000 (usable)
<6>Initrd not found or empty - disabling initrd
<4>Zone PFN ranges:
<4>  Normal   0x00000000 -> 0x00002000
<4>Movable zone start PFN for each node
<4>early_node_map[1] active PFN ranges
<4>    0: 0x00000000 -> 0x00002000
<7>On node 0 totalpages: 8192
<7>free_area_init_node: node 0, pgdat 802a09f0, node_mem_map 81000000
<7>  Normal zone: 64 pages used for memmap
<7>  Normal zone: 0 pages reserved
<7>  Normal zone: 8128 pages, LIFO batch:0
<4>Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
<5>Kernel command line: root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
<6>PID hash table entries: 128 (order: -3, 512 bytes)
<6>Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
<6>Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
<4>Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
<4>Primary data cache 16kB, 2-way, VIPT, cache aliases, linesize 16 bytes
<6>Memory: 29496k/32768k available (2332k kernel code, 3272k reserved, 355k data, 136k init, 0k highmem)
<6>Hierarchical RCU implementation.
<6>NR_IRQS:128
<6>console [ttyS0] enabled
<6>Calibrating delay loop... 299.00 BogoMIPS (lpj=598016)
<4>Mount-cache hash table entries: 512
<6>NET: Registered protocol family 16
<4>bio: create slab <bio-0> at 0
<6>Switching to clocksource MIPS
<6>ssb: PCIcore in host mode found
<6>PCI: Fixing up bridge 0000:00:00.0
<7>PCI: Setting latency timer of device 0000:00:00.0 to 64
<6>PCI: Fixing up device 0000:00:00.0
<6>PCI: Fixing latency timer of device 0000:00:00.0 to 168
<7>pci 0000:00:00.0: reg 10 32bit mmio: [0x000000-0x001fff]
<7>pci 0000:00:00.0: reg 14 32bit mmio pref: [0x000000-0x7ffffff]
<7>pci 0000:00:02.0: reg 10 32bit mmio: [0x000000-0x001fff]
<7>pci 0000:00:03.0: reg 20 io port: [0xfce0-0xfcff]
<7>pci 0000:00:03.0: supports D1 D2
<6>pci 0000:00:03.0: PME# supported from D0 D1 D2 D3hot
<6>pci 0000:00:03.0: PME# disabled
<7>pci 0000:00:03.1: reg 20 io port: [0xfce0-0xfcff]
<7>pci 0000:00:03.1: supports D1 D2
<6>pci 0000:00:03.1: PME# supported from D0 D1 D2 D3hot
<6>pci 0000:00:03.1: PME# disabled
<7>pci 0000:00:03.2: reg 10 32bit mmio: [0x000000-0x0000ff]
<7>pci 0000:00:03.2: supports D1 D2
<6>pci 0000:00:03.2: PME# supported from D0 D1 D2 D3hot
<6>pci 0000:00:03.2: PME# disabled
<4>PCI: Enabling device 0000:00:02.0 (0000 -> 0002)
<6>PCI: Fixing up device 0000:00:02.0
<7>PCI: Setting latency timer of device 0000:00:02.0 to 64
<7>ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x0D, vendor 0x4243)
<7>ssb: Core 1 found: IEEE 802.11 (cc 0x812, rev 0x09, vendor 0x4243)
<7>ssb: Core 2 found: PCI (cc 0x804, rev 0x0C, vendor 0x4243)
<7>ssb: Core 3 found: PCMCIA (cc 0x80D, rev 0x07, vendor 0x4243)
<6>ssb: chipcommon status is 0x0
<6>ssb: SPROM offset is 0x1000
<7>ssb: SPROM revision 2 detected.
<6>ssb: Sonics Silicon Backplane found on PCI device 0000:00:02.0
<6>NET: Registered protocol family 2
<6>IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
<6>TCP established hash table entries: 1024 (order: 1, 8192 bytes)
<6>TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
<6>TCP: Hash tables configured (established 1024 bind 1024)
<6>TCP reno registered
<6>NET: Registered protocol family 1
<6>squashfs: version 4.0 (2009/01/31) Phillip Lougher
<4>Registering mini_fo version $Id$
<6>JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.
<6>msgmni has been set to 57
<6>io scheduler noop registered
<6>io scheduler deadline registered (default)
<6>Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
<6>serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
<6>serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
<6>serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
<6>serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
<4>flash init: 0x1c000000 0x02000000
<6>Physically mapped flash: Found 1 x16 devices at 0x0 in 16-bit bank
<7>Physically mapped flash: Found an alias at 0x800000 for the chip at 0x0
<7>Physically mapped flash: Found an alias at 0x1000000 for the chip at 0x0
<7>Physically mapped flash: Found an alias at 0x1800000 for the chip at 0x0
<4> CFI mfr 0x00000001
<4> CFI id  0x00001301
<4> Amd/Fujitsu Extended Query Table at 0x0040
<4>  Amd/Fujitsu Extended Query version 1.3.
<4>Physically mapped flash: CFI does not contain boot bank location. Assuming top.
<5>number of CFI chips: 1
<5>cfi_cmdset_0002: Disabling erase-suspend-program due to code brokenness.
<5>Flash device: 0x800000 at 0x1fc00000
<5>bootloader size: 262144
<5>Creating 4 MTD partitions on "Physically mapped flash":
<5>0x000000000000-0x000000040000 : "cfe"
<5>0x000000040000-0x0000007f0000 : "linux"
<5>0x00000011b000-0x0000007f0000 : "rootfs"

comment:29 Changed 3 years ago by wormball

crashlog part 2

<4>mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
<5>mtd: partition "rootfs" set to be root filesystem
<6>mtd: partition "rootfs_data" created automatically, ofs=300000, len=4F0000 
<5>0x000000300000-0x0000007f0000 : "rootfs_data"
<5>0x0000007f0000-0x000000800000 : "nvram"
<6>b44.c:v2.0
<6>eth0: Broadcom 44xx/47xx 10/100BaseT Ethernet 00:1e:8c:29:f7:b6
<3>b44: eth1: PHY Reset would not complete.
<6>eth1: Broadcom 44xx/47xx 10/100BaseT Ethernet 40:10:18:00:00:2d
<6>BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
<6>TCP westwood registered
<6>NET: Registered protocol family 17
<6>802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
<6>All bugs added by David S. Miller <davem@redhat.com>
<4>VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
<6>Freeing unused kernel memory: 136k freed
<4>Please be patient, while OpenWrt loads ...
<4>diag: Detected 'ASUS WL-500g Premium'
<6>b44: eth0: Link is up at 100 Mbps, full duplex.
<6>b44: eth0: Flow control is off for TX and off for RX.
<6>roboswitch: Probing device eth0: found a 5325! It's a 5350.
<6>mini_fo: using base directory: /
<6>mini_fo: using storage directory: /overlay
<6>b44: eth0: powering down PHY
<6>b44: eth0: Link is up at 100 Mbps, full duplex.
<6>b44: eth0: Flow control is off for TX and off for RX.
<6>device eth0.0 entered promiscuous mode
<6>device eth0 entered promiscuous mode
<6>br-lan: port 1(eth0.0) entering forwarding state
<6>Compat-wireless backport release: compat-wireless-2011-11-08-1-g4ab9b62
<6>Backport based on wireless-testing.git master-2011-11-15
<6>cfg80211: Calling CRDA to update world regulatory domain
<6>PPP generic driver version 2.4.2
<6>NET: Registered protocol family 24
<6>b43-phy0: Broadcom 4318 WLAN found (core revision 9)
<7>ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
<6>Registered led device: b43-phy0::tx
<6>Registered led device: b43-phy0::rx
<6>Registered led device: b43-phy0::assoc
<6>Registered led device: b43-phy0::radio
<6>Broadcom 43xx driver loaded [ Features: PL ]
<6>Broadcom 43xx-legacy driver loaded [ Features: PLID ]
<6>ip_tables: (C) 2000-2006 Netfilter Core Team
<4>nf_conntrack version 0.5.0 (463 buckets, 1852 max)
<4>CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
<4>nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
<4>sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
<6>cfg80211: World regulatory domain updated:
<6>cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
<6>cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
<6>cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
<6>cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
<6>cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
<6>cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
<6>cfg80211: Calling CRDA for country: RU
<6>cfg80211: Regulatory domain changed to country: RU
<6>cfg80211:     (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
<6>cfg80211:     (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
<6>cfg80211:     (5735000 KHz - 5835000 KHz @ 20000 KHz), (N/A, 3000 mBm)
<6>b43-phy0: Loading firmware version 508.1084 (2009-01-14 01:32:01)
<6>b43-phy0: Loading firmware version 508.1084 (2009-01-14 01:32:01)
<6>device wlan0 entered promiscuous mode
<6>br-lan: port 2(wlan0) entering forwarding state
<6>device wlan0 left promiscuous mode
<6>br-lan: port 2(wlan0) entering disabled state
<6>device wlan0 entered promiscuous mode
<6>br-lan: port 2(wlan0) entering forwarding state
<1>Instruction bus error, epc == 80015088, ra == 80001420
<4>Oops[#1]:
<4>Cpu 0
<4>$ 0   : 00000000 1000d800 00000000 00000000
<4>$ 4   : 80015070 886f5089 00000000 81a03c00
<4>$ 8   : 1000d801 1000001e 81589000 81ada000
<4>$12   : 80dd9000 00000000 00000080 80ffd000
<4>$16   : 8c820000 80cfbc78 802a0000 00000000
<4>$20   : 00000002 00000009 802e0000 80293318
<4>$24   : 00000000 801b06a4                  
<4>$28   : 80cfa000 80cfbc50 802da0cc 80001420
<4>Hi    : 00000000
<4>Lo    : 00000000
<4>epc   : 80015088 0x80015088
<4>    Not tainted
<4>ra    : 80001420 0x80001420
<4>Status: 1000d803    KERNEL EXL IE 
<4>Cause : 00800018
<4>PrId  : 00029006 (Broadcom BCM3302)
<4>Modules linked in: nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async b43legacy b43 pppoe pppox mac80211 ppp_generic slhc crc_ccitt cfg80211 compat arc4 aes_generic deflate ecb cbc switch_robo switch_core diag
<4>Process irq/6-b43 (pid: 779, threadinfo=80cfa000, task=81b3a630, tls=00000000)
<4>Stack : 00000002 801e4a18 802e2648 81b09580 802e2668 00000001 815ac2e0 802a0000
<4>        802750f0 80001420 81a3e800 801c40d8 8029d044 81b09580 81564c20 81a3e800
<4>        00000000 1000d800 00000001 80c820c0 886f5089 80c820c0 81801c60 81a03c00
<4>        81509000 81526800 81589000 81ada000 80dd9000 00000000 00000080 80ffd000
<4>        00000001 815ac2e0 802a0000 802750f0 00000002 00000009 802e0000 80293318
<4>        ...
<4>Call Trace:[<801e4a18>] 0x801e4a18
<4>[<80001420>] 0x80001420
<4>[<801c40d8>] 0x801c40d8
<4>[<801b06a4>] 0x801b06a4
<4>[<801a5b8c>] 0x801a5b8c
<4>[<8006c960>] 0x8006c960
<4>[<801a5148>] 0x801a5148
<4>[<801ac92c>] 0x801ac92c
<4>[<8002bc64>] 0x8002bc64
<4>[<8002bd7c>] 0x8002bd7c
<4>[<80001444>] 0x80001444
<4>[<8019559c>] 0x8019559c
<4>[<8019556c>] 0x8019556c
<4>[<80c476ac>] 0x80c476ac
<4>[<8000ba80>] 0x8000ba80
<4>[<80057410>] 0x80057410
<4>[<8000af98>] 0x8000af98
<4>[<80057294>] 0x80057294
<4>[<80057294>] 0x80057294
<4>[<8003db38>] 0x8003db38
<4>[<8000f86c>] 0x8000f86c
<4>[<8003dabc>] 0x8003dabc
<4>[<8000f85c>] 0x8000f85c
<4>
<4>
<4>Code: 00431024  14400063  00000000 <88b20003> 98b20000  24020000  14400051  00000000  08005437 
<4>Disabling lock debugging due to kernel taint
<0>Kernel panic - not syncing: Fatal exception in interrupt

comment:30 Changed 3 years ago by wormball

And one more crashlog (occured during writing previous comment)

....
.....

<1>Data bus error, epc == 80015088, ra == 80001420
<4>Oops[#1]:
<4>Cpu 0
<4>$ 0   : 00000000 1000d800 00000000 00000000
<4>$ 4   : 80015070 beece976 00000000 8029d6d8
<4>$ 8   : 1000d801 1000001e 802e2140 81b3b800
<4>$12   : 00000003 80e799a8 00000003 00000400
<4>$16   : 8cc20094 80e79a38 00000000 80000000
<4>$20   : baebd8b2 81b08558 802e2668 802e0000
<4>$24   : 00000000 80c761e4                  
<4>$28   : 80e78000 80e79a10 819efc00 80001420
<4>Hi    : 000002e7
<4>Lo    : 6423f800
<4>epc   : 80015088 0x80015088
<4>    Not tainted
<4>ra    : 80001420 0x80001420
<4>Status: 1000d803    KERNEL EXL IE 
<4>Cause : 0080001c
<4>PrId  : 00029006 (Broadcom BCM3302)
<4>Modules linked in: nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async b43legacy b43 mac80211 pppoe pppox ppp_generic slhc crc_ccitt cfg80211 compat arc4 aes_generic deflate ecb cbc switch_robo switch_core diag
<4>Process brctl (pid: 2012, threadinfo=80e78000, task=819f2a18, tls=00000000)
<4>Stack : 00000000 0006912e 0201a8c0 00000000 00000000 80ce0a54 81b084a0 00000000
<4>        0201a8c0 80001420 00000000 0006912e 00000002 81b3b800 00000000 00000000
<4>        00000000 1000d800 0001ce93 00000085 27918f07 eeed3b9d beece8e2 8029d6d8
<4>        00000006 81b084a0 802e2140 81b3b800 00000003 80e799a8 00000003 00000400
<4>        80ce0a54 81b084a0 00000000 0201a8c0 baebd8b2 81b08558 802e2668 802e0000
<4>        ...
<4>Call Trace:[<80001420>] 0x80001420
<4>[<80c761e4>] 0x80c761e4
<4>[<81b2049c>] 0x81b2049c
<4>[<801ddfe8>] 0x801ddfe8
<4>[<801daf28>] 0x801daf28
<4>[<81b20764>] 0x81b20764
<4>[<801ddfa0>] 0x801ddfa0
<4>[<801d4a84>] 0x801d4a84
<4>[<801ddfa0>] 0x801ddfa0
<4>[<801ddfa0>] 0x801ddfa0
<4>[<801d4ca0>] 0x801d4ca0
<4>[<801b0c0c>] 0x801b0c0c
<4>[<801ddfa0>] 0x801ddfa0
<4>[<801ddfe8>] 0x801ddfe8
<4>[<801de7c0>] 0x801de7c0
<4>[<801e4a18>] 0x801e4a18
<4>[<801ddfa0>] 0x801ddfa0
<4>[<8023d6f0>] 0x8023d6f0
<4>[<8023d98c>] 0x8023d98c
<4>[<801af1b0>] 0x801af1b0
<4>[<80244288>] 0x80244288
<4>[<801af528>] 0x801af528
<4>[<801afd00>] 0x801afd00
<4>[<801acac0>] 0x801acac0
<4>[<8002bc64>] 0x8002bc64
<4>[<80001444>] 0x80001444
<4>[<8002bd7c>] 0x8002bd7c
<4>[<8000e1d0>] 0x8000e1d0
<4>[<80001444>] 0x80001444
<4>[<800050f8>] 0x800050f8
<4>[<80077b80>] 0x80077b80
<4>[<801325fc>] 0x801325fc
<4>[<80077b80>] 0x80077b80
<4>[<80082a38>] 0x80082a38
<4>[<8003e1f4>] 0x8003e1f4
<4>[<80082aa4>] 0x80082aa4
<4>[<800844e0>] 0x800844e0
<4>[<800f7310>] 0x800f7310
<4>[<80077c88>] 0x80077c88
<4>[<80003230>] 0x80003230
<4>
<4>
<4>Code: 00431024  14400063  00000000 <88b20003> 98b20000  24020000  14400051  00000000  08005437 
<4>Disabling lock debugging due to kernel taint
<0>Kernel panic - not syncing: Fatal exception in interrupt

comment:31 Changed 3 years ago by wormball

Crashlog from attitude adjustment. (it reboots less often and reconnects much more quickly, whereas backfire waited for about 10 minutes before reconnect)

root@OpenWrt:~# cat /sys/kernel/debug/crashlog
Time: 1436640429.191975
Modules:	nf_nat_irc@81bfb000+350	nf_conntrack_irc@81bf3000+9d0	nf_nat_ftp@80cde000+3f0	nf_conntrack_ftp@80c00000+11c0	ipt_MASQUERADE@81bf1000+3d0	iptable_nat@80cd8000+a00	nf_nat@81bfc000+2c00pppoe@81bf8000+2270	xt_conntrack@81bbe000+850	xt_CT@81bbf000+620	xt_NOTRACK@81bf2000+240	iptable_raw@81bee000+230	xt_state@80cca000+260	nf_conntrack_ipv4@81bbc000+11b0	nf_defrag_ipv4@80ccb000+280	nf_conntrack@81bb0000+a750	pppox@81afd000+480	ipt_REJECT@80d7a000+6d0	xt_TCPMSS@80d7e000+a50	ipt_LOG@81be8000+1990	xt_comment@80cd1000+190	xt_multiport@80d7c000+470	xt_mac@80d78000+210xt_limit@80c23000+410	iptable_mangle@80c20000+330	iptable_filter@80cc6000+250	ip_tables@80cd4000+22c0	xt_tcpudp@80c2f000+680	x_tables@80d4c000+26d0	ppp_async@80cc8000+1fc0	ppp_generic@80c28000+4f90	slhc@81ac0000+1280	b43legacy@80d60000+15fe0	b43@80d00000+49410	mac80211@80c80000+41cb0	crc_ccitt@81baf000+3b0	cfg80211@81bc0000+263c0	compat@81b34000+1720	arc4@81b08000+300	aes_generic@81b78000+7780	crypto_algapi@81b18000+24c0	switch_robo@81b48000+e40	switch_core@81b4a000+1210	diag@81b00000+1da0
lists in Zone order, mobility grouping on.  Total pages: 8128
<5>[    0.000000] Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
<6>[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
<6>[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
<6>[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
<4>[    0.000000] Primary instruction cache 16kB, VIPT, 2-way, linesize 16 bytes.
<4>[    0.000000] Primary data cache 16kB, 2-way, VIPT, cache aliases, linesize 16 bytes
<6>[    0.000000] Memory: 29100k/32768k available (2540k kernel code, 3668k reserved, 379k data, 168k init, 0k highmem)
<6>[    0.000000] NR_IRQS:128
<6>[    0.000000] console [ttyS0] enabled
<6>[    0.004000] Calibrating delay loop... 297.98 BogoMIPS (lpj=595968)
<6>[    0.044000] pid_max: default: 32768 minimum: 301
<6>[    0.048000] Mount-cache hash table entries: 512
<6>[    0.056000] NET: Registered protocol family 16
<6>[    0.088000] bio: create slab <bio-0> at 0
<6>[    0.100000] Switching to clocksource MIPS
<6>[    0.112000] ssb: PCIcore in host mode found
<6>[    0.420000] PCI host bridge to bus 0000:00
<6>[    0.424000] pci_bus 0000:00: root bus resource [mem 0x40000000-0x7fffffff]
<6>[    0.432000] pci_bus 0000:00: root bus resource [io  0x0100-0x07ff]
<7>[    0.440000] pci 0000:00:00.0: [14e4:4704] type 0 class 0x000600
<6>[    0.440000] PCI: Fixing up bridge 0000:00:00.0
<7>[    0.444000] pci 0000:00:00.0: setting latency timer to 64
<6>[    0.444000] PCI: Fixing up device 0000:00:00.0
<6>[    0.448000] PCI: Fixing latency timer of device 0000:00:00.0 to 168
<7>[    0.452000] pci 0000:00:00.0: reg 10: [mem 0x00000000-0x00001fff]
<7>[    0.452000] pci 0000:00:00.0: reg 14: [mem 0x00000000-0x07ffffff pref]
<7>[    0.456000] pci 0000:00:02.0: [14e4:4318] type 0 class 0x000280
<7>[    0.456000] pci 0000:00:02.0: reg 10: [mem 0x00000000-0x00001fff]
<7>[    0.456000] pci 0000:00:03.0: [1106:3038] type 0 class 0x000c03
<7>[    0.456000] pci 0000:00:03.0: reg 20: [io  0xfce0-0xfcff]
<7>[    0.456000] pci 0000:00:03.0: supports D1 D2
<7>[    0.456000] pci 0000:00:03.0: PME# supported from D0 D1 D2 D3hot
<7>[    0.456000] pci 0000:00:03.1: [1106:3038] type 0 class 0x000c03
<7>[    0.456000] pci 0000:00:03.1: reg 20: [io  0xfce0-0xfcff]
<7>[    0.456000] pci 0000:00:03.1: supports D1 D2
<7>[    0.456000] pci 0000:00:03.1: PME# supported from D0 D1 D2 D3hot
<7>[    0.456000] pci 0000:00:03.2: [1106:3104] type 0 class 0x000c03
<7>[    0.456000] pci 0000:00:03.2: reg 10: [mem 0x00000000-0x000000ff]
<7>[    0.456000] pci 0000:00:03.2: supports D1 D2
<7>[    0.456000] pci 0000:00:03.2: PME# supported from D0 D1 D2 D3hot
<6>[    0.460000] pci 0000:00:02.0: BAR 0: assigned [mem 0x40000000-0x40001fff]
<6>[    0.468000] pci 0000:00:03.2: BAR 0: assigned [mem 0x40002000-0x400020ff]
<6>[    0.476000] pci 0000:00:03.0: BAR 4: assigned [io  0x0400-0x041f]
<6>[    0.480000] pci 0000:00:03.1: BAR 4: assigned [io  0x0420-0x043f]
<4>[    0.492000] PCI: Enabling device 0000:00:02.0 (0000 -> 0002)
<6>[    0.500000] PCI: Fixing up device 0000:00:02.0
<7>[    0.504000] b43-pci-bridge 0000:00:02.0: setting latency timer to 64
<6>[    0.524000] ssb: Found chip with id 0x4318, rev 0x02 and package 0x02
<7>[    0.528000] ssb: Core 0 found: ChipCommon (cc 0x800, rev 0x0D, vendor 0x4243)
<7>[    0.528000] ssb: Core 1 found: IEEE 802.11 (cc 0x812, rev 0x09, vendor 0x4243)
<7>[    0.528000] ssb: Core 2 found: PCI (cc 0x804, rev 0x0C, vendor 0x4243)
<7>[    0.528000] ssb: Core 3 found: PCMCIA (cc 0x80D, rev 0x07, vendor 0x4243)
<6>[    0.548000] ssb: chipcommon status is 0x0
<6>[    0.552000] ssb: SPROM offset is 0x1000
<7>[    0.556000] ssb: SPROM revision 2 detected.
<6>[    0.576000] ssb: Sonics Silicon Backplane found on PCI device 0000:00:02.0
<6>[    0.584000] NET: Registered protocol family 2
<6>[    0.592000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
<6>[    0.600000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
<6>[    0.608000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
<6>[    0.612000] TCP: Hash tables configured (established 1024 bind 1024)
<6>[    0.620000] TCP reno registered
<6>[    0.624000] UDP hash table entries: 256 (order: 0, 4096 bytes)
<6>[    0.628000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
<6>[    0.636000] NET: Registered protocol family 1
<7>[    0.640000] PCI: CLS 0 bytes, default 16
<6>[    0.648000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
<6>[    0.656000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
<6>[    0.664000] msgmni has been set to 56
<6>[    0.672000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 254)
<6>[    0.680000] io scheduler noop registered
<6>[    0.684000] io scheduler deadline registered (default)
<6>[    0.688000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
<6>[    0.716000] serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
<6>[    0.744000] serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A
<6>[    0.784000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a 16550A
<6>[    0.812000] serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a 16550A

comment:32 Changed 3 years ago by wormball

<5>[    0.828000] bcm47xx_pflash: flash init: 0x1c000000 0x02000000
<6>[    0.832000] Physically mapped flash: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x000001 Chip ID 0x001301
<7>[    0.844000] Physically mapped flash: Found an alias at 0x800000 for the chip at 0x0
<7>[    0.844000] Physically mapped flash: Found an alias at 0x1000000 for the chip at 0x0
<7>[    0.844000] Physically mapped flash: Found an alias at 0x1800000 for the chip at 0x0
<6>[    0.844000] Amd/Fujitsu Extended Query Table at 0x0040
<6>[    0.848000]   Amd/Fujitsu Extended Query version 1.3.
<5>[    0.856000] number of CFI chips: 1
<5>[    0.856000] bcm47xx_pflash: Flash device: 0x2000000 at 0x1fc00000
<5>[    0.864000] bcm47xx_part: bootloader size: 262144
<5>[    0.872000] bcm47xx_part: Looking for dual image
<5>[    0.876000] bcm47xx_part: TRX offset : 0
<5>[    0.880000] 4 bcm47xx partitions found on MTD device Physically mapped flash
<5>[    0.888000] Creating 4 MTD partitions on "Physically mapped flash":
<5>[    0.896000] 0x000000000000-0x000000040000 : "cfe"
<5>[    0.904000] 0x000000040000-0x0000007f0000 : "linux"
<5>[    0.916000] 0x000000133c00-0x0000007f0000 : "rootfs"
<4>[    0.920000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
<5>[    0.936000] mtd: partition "rootfs" set to be root filesystem
<6>[    0.944000] mtd: partition "rootfs_data" created automatically, ofs=310000, len=4E0000 
<5>[    0.952000] 0x000000310000-0x0000007f0000 : "rootfs_data"
<5>[    0.960000] 0x0000007f0000-0x000000800000 : "nvram"
<3>[    0.972000] bcm47xx_sflash: error registering platform driver: -19
<3>[    0.980000] bcm47xx_nflash: error registering platform driver: -19
<6>[    0.988000] b44: Broadcom 44xx/47xx 10/100 PCI ethernet driver version 2.0
<6>[    1.000000] b44 ssb0:0: eth0: Broadcom 44xx/47xx 10/100 PCI ethernet driver 00:1e:8c:29:f7:b6
<3>[    1.012000] b44 ssb0:1: eth1: PHY Reset would not complete
<6>[    1.016000] b44 ssb0:1: eth1: Broadcom 44xx/47xx 10/100 PCI ethernet driver 40:10:18:00:00:2d
<6>[    1.028000] BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
<6>[    1.036000] TCP cubic registered
<6>[    1.040000] NET: Registered protocol family 17
<5>[    1.044000] Bridge firewalling registered
<6>[    1.048000] 8021q: 802.1Q VLAN Support v1.8
<6>[    1.064000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
<6>[    1.072000] Freeing unused kernel memory: 168k freed
<4>[    3.900000] diag: Detected 'ASUS WL-500g Premium'
<6>[    3.948000] b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
<6>[    3.956000] b44 ssb0:0: eth0: Flow control is off for TX and off for RX
<6>[    5.076000] roboswitch: Probing device eth0: found a 5325! It's a 5350.
<5>[   12.224000] JFFS2 notice: (351) jffs2_build_xattr_subsystem: complete building xattr subsystem, 18 of xdatum (0 unchecked, 17 orphan) and 22 of xref (0 dead, 18 orphan) found.
<6>[   12.576000] b44 ssb0:0: eth0: powering down PHY
<6>[   16.140000] Compat-drivers backport release: compat-drivers-2012-09-04-2-gddac993
<6>[   16.148000] Backport based on wireless-testing.git master-2012-09-07
<6>[   16.156000] compat.git: wireless-testing.git
<6>[   16.212000] cfg80211: Calling CRDA to update world regulatory domain
<6>[   16.216000] cfg80211: World regulatory domain updated:
<6>[   16.224000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
<6>[   16.232000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
<6>[   16.240000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
<6>[   16.248000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
<6>[   16.256000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
<6>[   16.264000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
<6>[   17.016000] b43-phy0: Broadcom 4318 WLAN found (core revision 9)
<6>[   17.068000] b43-phy0: Found PHY: Analog 3, Type 2 (G), Revision 7
<6>[   17.096000] Broadcom 43xx driver loaded [ Features: PNL ]
<6>[   17.160000] Broadcom 43xx-legacy driver loaded [ Features: PLID ]
<6>[   17.540000] PPP generic driver version 2.4.2
<6>[   17.964000] ip_tables: (C) 2000-2006 Netfilter Core Team
<7>[   18.032000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
<7>[   18.032000] Registered led device: b43-phy0::tx
<7>[   18.032000] Registered led device: b43-phy0::rx
<7>[   18.036000] Registered led device: b43-phy0::assoc
<7>[   18.036000] Registered led device: b43-phy0::radio
<6>[   18.256000] NET: Registered protocol family 24
<6>[   18.292000] nf_conntrack version 0.5.0 (457 buckets, 1828 max)
<6>[   22.456000] b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
<6>[   22.464000] b44 ssb0:0: eth0: Flow control is off for TX and off for RX
<6>[   25.208000] b44 ssb0:0: eth0: powering down PHY
<6>[   25.236000] b44 ssb0:0: eth0: Link is up at 100 Mbps, full duplex
<6>[   25.240000] b44 ssb0:0: eth0: Flow control is off for TX and off for RX
<6>[   25.268000] device eth0.0 entered promiscuous mode
<6>[   25.272000] device eth0 entered promiscuous mode
<6>[   25.284000] br-lan: port 1(eth0.0) entered forwarding state
<6>[   25.288000] br-lan: port 1(eth0.0) entered forwarding state
<6>[   27.292000] br-lan: port 1(eth0.0) entered forwarding state
<6>[   30.212000] cfg80211: Calling CRDA for country: RU
<6>[   30.216000] cfg80211: Regulatory domain changed to country: RU
<6>[   30.224000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
<6>[   30.232000] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
<6>[   30.240000] cfg80211:   (5735000 KHz - 5835000 KHz @ 20000 KHz), (N/A, 3000 mBm)
<6>[   35.984000] b43-phy0: Loading firmware version 666.2 (2011-02-23 01:15:07)
<6>[   36.128000] device wlan0 entered promiscuous mode
<6>[   36.296000] b43-phy0: Loading firmware version 666.2 (2011-02-23 01:15:07)
<6>[   37.500000] br-lan: port 2(wlan0) entered forwarding state
<6>[   37.508000] br-lan: port 2(wlan0) entered forwarding state
<6>[   39.512000] br-lan: port 2(wlan0) entered forwarding state

comment:33 Changed 3 years ago by wormball

<4>[ 3584.748000] Kernel bug detected[#1]:
<4>[ 3584.748000] Cpu 0
<4>[ 3584.748000] $ 0   : 00000000 1000d800 80ea5000 00000026
<4>[ 3584.748000] $ 4   : ffffffff 00000001 00000014 80ea5010
<4>[ 3584.748000] $ 8   : 8182e908 00200200 00100100 8182e910
<4>[ 3584.748000] $12   : 00000001 80ea5380 000000c0 00000300
<4>[ 3584.748000] $16   : 81833f20 81829800 8182e900 00000000
<4>[ 3584.748000] $20   : 815d4ec0 802c0000 00000020 00000000
<4>[ 3584.748000] $24   : 00000010 80013dd8                  
<4>[ 3584.748000] $28   : 8164c000 8164dba0 80340000 8008f874
<4>[ 3584.748000] Hi    : 00000000
<4>[ 3584.748000] Lo    : 00000300
<4>[ 3584.748000] epc   : 802761e0 0x802761e0
<4>[ 3584.748000]     Tainted: G           O
<4>[ 3584.748000] ra    : 8008f874 0x8008f874
<4>[ 3584.748000] Status: 1000d802    KERNEL EXL 
<4>[ 3584.748000] Cause : 00800034
<4>[ 3584.748000] PrId  : 00029006 (Broadcom BMIPS3300)
<4>[ 3584.748000] Modules linked in: nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc b43legacy(O) b43(O) mac80211(O) crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi switch_robo(O) switch_core(O) diag(O)
<4>[ 3584.748000] Process luci (pid: 2107, threadinfo=8164c000, task=81ba7610, tls=77112440)
<4>[ 3584.748000] Stack : 81681700 8033c0e8 8033ceb0 8164dc38 00000020 81883000 80e0e9a0 1000d801
<4>[ 3584.748000]         00000020 81833f20 815d4ec0 802c0000 00000000 00000000 80340000 8008f874
<4>[ 3584.748000]         1000d801 00000000 81681700 8033c0e8 8033ceb0 80e0e9a0 00000020 81681700
<4>[ 3584.748000]         81883000 801c2030 8033c0e8 80239bf0 80e0e9a0 00000002 80340000 80e0e9a0
<4>[ 3584.748000]         8033c0e8 801fba30 81042200 1000d800 00000000 81042208 81781044 00000002
<4>[ 3584.748000]         ...
<4>[ 3584.748000] Call Trace:[<8008f874>] 0x8008f874
<4>[ 3584.748000] [<801c2030>] 0x801c2030
<4>[ 3584.748000] [<80239bf0>] 0x80239bf0
<4>[ 3584.748000] [<801fba30>] 0x801fba30
<4>[ 3584.748000] [<80ccb0b0>] 0x80ccb0b0
<4>[ 3584.748000] [<801f2454>] 0x801f2454
<4>[ 3584.748000] [<801fa0f0>] 0x801fa0f0
<4>[ 3584.748000] [<801fa0f0>] 0x801fa0f0
<4>[ 3584.748000] [<801f2544>] 0x801f2544
<4>[ 3584.748000] [<801fa0f0>] 0x801fa0f0
<4>[ 3584.748000] [<801fad44>] 0x801fad44
<4>[ 3584.748000] [<801fa0f0>] 0x801fa0f0
<4>[ 3584.748000] [<801c9558>] 0x801c9558
<4>[ 3584.748000] [<8025e4f8>] 0x8025e4f8
<4>[ 3584.748000] [<802e0000>] 0x802e0000
<4>[ 3584.748000] [<8025ea94>] 0x8025ea94
<4>[ 3584.748000] [<801c0a0c>] 0x801c0a0c
<4>[ 3584.748000] [<802689a0>] 0x802689a0
<4>[ 3584.748000] [<8025e7d8>] 0x8025e7d8
<4>[ 3584.748000] [<801c93f4>] 0x801c93f4
<4>[ 3584.748000] [<801c0a0c>] 0x801c0a0c
<4>[ 3584.748000] [<8019f678>] 0x8019f678
<4>[ 3584.748000] [<801a6e84>] 0x801a6e84
<4>[ 3584.748000] [<801a3140>] 0x801a3140
<4>[ 3584.748000] [<801a6e84>] 0x801a6e84
<4>[ 3584.748000] [<802e0000>] 0x802e0000
<4>[ 3584.748000] [<801c9a98>] 0x801c9a98
<4>[ 3584.748000] [<801c8ca4>] 0x801c8ca4
<4>[ 3584.748000] [<8001e914>] 0x8001e914
<4>[ 3584.748000] [<8001eb80>] 0x8001eb80
<4>[ 3584.748000] [<80092e50>] 0x80092e50
<4>[ 3584.748000] [<8001edcc>] 0x8001edcc
<4>[ 3584.748000] [<800808fc>] 0x800808fc
<4>[ 3584.748000] [<80001e1c>] 0x80001e1c
<4>[ 3584.748000] [<80005b64>] 0x80005b64
<4>[ 3584.748000] 
<4>[ 3584.748000] 
<4>[ 3584.748000] Code: 8e050018  00c5282b  38a50001 
<4>[ 3584.748000]  0809d88d  8c450010  8e0e000c  24a50001  70ee7802 
<4>[ 3585.064000] ---[ end trace acfaaafd0101fc64 ]---

comment:34 Changed 3 years ago by wormball

And one more crashlog from attitude adjustment.

<4>[ 2394.948000] sched: RT throttling activated
<6>[ 3418.772000] b44 ssb0:0: eth0: powering down PHY
<1>[11347.040000] CPU 0 Unable to handle kernel paging request at virtual address 324d1fa0, epc == 80066d28, ra == 801c08d8
<4>[11347.048000] Oops[#1]:
<4>[11347.048000] Cpu 0
<4>[11347.048000] $ 0   : 00000000 1000d800 80bc8968 00000028
<4>[11347.048000] $ 4   : 324d1fa0 808f0f20 002a2421 00002920
<4>[11347.048000] $ 8   : 7f1e2bd8 00002930 00000007 3c85434d
<4>[11347.048000] $12   : 3b6e20c8 00000003 0000000e 00000007
<4>[11347.048000] $16   : 8163a8c0 00000001 802a7c38 802e0000
<4>[11347.048000] $20   : 0000000a 00000008 80330000 80330000
<4>[11347.048000] $24   : 00000020 8000e280                  
<4>[11347.048000] $28   : 80e1e000 80e1fd28 802cb630 801c08d8
<4>[11347.048000] Hi    : 00000000
<4>[11347.048000] Lo    : 00000288
<4>[11347.048000] epc   : 80066d28 0x80066d28
<4>[11347.048000]     Tainted: G           O
<4>[11347.048000] ra    : 801c08d8 0x801c08d8
<4>[11347.048000] Status: 1000d803    KERNEL EXL IE 
<4>[11347.048000] Cause : 00800008
<4>[11347.048000] BadVA : 324d1fa0
<4>[11347.048000] PrId  : 00029006 (Broadcom BMIPS3300)
<4>[11347.048000] Modules linked in: nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc b43legacy(O) b43(O) mac80211(O) crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi switch_robo(O) switch_core(O) diag(O)
<4>[11347.048000] Process irq/6-b43 (pid: 775, threadinfo=80e1e000, task=8191a510, tls=00000000)
<4>[11347.048000] Stack : 00000000 00010000 80052df8 81ac8800 808f0f20 8163a8c0 80b8ea60 801c0020
<4>[11347.048000]         802cc1e8 00000002 808f0f20 8163a8c0 8163a8c0 801c8ca4 80e1fd60 80e1fd60
<4>[11347.048000]         80336008 00000107 00000001 8033600c 00000083 00000002 00000100 8001e914
<4>[11347.048000]         802cc23c 00010000 80052df8 00000001 802c6680 802cc240 1000d800 80ce7600
<4>[11347.048000]         802cc23c 00010000 80052df8 00000001 802c6680 802cc240 802c0000 8001eb80
<4>[11347.048000]         ...
<4>[11347.048000] Call Trace:[<80052df8>] 0x80052df8
<4>[11347.048000] [<801c0020>] 0x801c0020
<4>[11347.048000] [<801c8ca4>] 0x801c8ca4
<4>[11347.048000] [<8001e914>] 0x8001e914
<4>[11347.048000] [<80052df8>] 0x80052df8
<4>[11347.048000] [<80052df8>] 0x80052df8
<4>[11347.048000] [<8001eb80>] 0x8001eb80
<4>[11347.048000] [<8001edcc>] 0x8001edcc
<4>[11347.048000] [<80052df8>] 0x80052df8
<4>[11347.048000] [<80005b64>] 0x80005b64
<4>[11347.048000] [<801aa260>] 0x801aa260
<4>[11347.048000] [<80d07914>] 0x80d07914
<4>[11347.048000] [<802e0000>] 0x802e0000
<4>[11347.048000] [<80052df8>] 0x80052df8
<4>[11347.048000] [<801aa230>] 0x801aa230
<4>[11347.048000] [<80052c0c>] 0x80052c0c
<4>[11347.048000] [<80052cb8>] 0x80052cb8
<4>[11347.048000] [<80052a54>] 0x80052a54
<4>[11347.048000] [<80052a54>] 0x80052a54
<4>[11347.048000] [<80034660>] 0x80034660
<4>[11347.048000] [<800077b0>] 0x800077b0
<4>[11347.048000] [<800345d8>] 0x800345d8
<4>[11347.048000] [<800077a0>] 0x800077a0
<4>[11347.048000] 
<4>[11347.048000] 
<4>[11347.048000] Code: 3c058006  08019af0  24a55ce4 <8c830000> 3063c000  10600003  00801021  080198a7  00000000 
<4>[11347.324000] ---[ end trace a668d64b070b5770 ]---

comment:35 Changed 3 years ago by wormball

May it be hardware problem? I ran memtester and it said that all is ok. However it only could test 10M of memory and rebooted the router if more memory was tested or i specified physical address.

comment:37 Changed 3 years ago by ChakaZulu

I have the same problem with a WRT54GSv1, but I can't provide a crashlog. Whenever I start an "apt get -u upgrade" on my connected raspi the connection is lost after ~5s and the router does not respond anymore (blinking power led).

comment:38 Changed 3 years ago by bittorf@…

this is already fixed with r35944
please try CC-rc3 and report again.

comment:39 Changed 2 years ago by rmilecki

ASUS WL-500gP seems to have some hardware issues and requires various workarounds. Other problems were also reported in e.g. #1485 #2035 (that's why we need 160-kmap_coherent.patch 300-fork_cacheflush.patch 310-no_highpage.patch).

I guess this is some low level stuff. Providing more and more logs is pretty much useless for sth like this.

I'm wondering if this situation could be somehow improved by:
MIPS: BMIPS: Flush the readahead cache after DMA.
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=554b7f56b998c72316ab2d5c21963512fd6c9a5e

Above commit went into kernel 4.1, so testing current trunk would give us some answer. Please note 15.05 is based on 3.18.

comment:40 Changed 2 years ago by Slicer

Hello,

I tested both 15.05 and the new bleeding Edge Snapshot from the 1st of october.
In both cases my impression was that the troughput was much better than in AA.
Unfortunaltely the router rebooted after a high traffic.
For a single connection e.g. speedtest.nbet the connection was stable, in the moment where I had two or three stations and these downloaded big things (kernel, etc) the connections terminated and the router rebooted.
I saw that b43 has a high load in CC as seen before in many comments.

I try to provide a coredump or similar things which I can find.

comment:41 Changed 2 years ago by anonymous

confirmed for DIR-320 A1 with 15.05
it reboots when load yotube video

comment:42 Changed 2 years ago by ciprian.alexan

Hi,

I have seen this on several identical Asus WL500g Premium v1 devices.
After few minutes of downloading from internet at 2-3 MBps routers crash.

[  211.180000] CPU 0 Unable to handle kernel paging request at virtual address 00000004, epc == 80147b3c, ra == 80148ee8
[  211.180000] Oops[#1]:
[  211.180000] CPU: 0 PID: 3 Comm: ksoftirqd/0 Not tainted 3.18.20 #1
[  211.180000] task: 8181c008 ti: 81826000 task.ti: 81826000
[  211.180000] $ 0  : 00000000 10005c00 8174fe68 00000000
[  211.180000] $ 4  : 80303d90 80303bd4 00000000 fffffffc
[  211.180000] $ 8  : 2be7a980 00000000 00989680 00000000
[  211.180000] $12  : 00000031 00000004 00000000 00000004
[  211.180000] $16  : 80303d90 80303bd4 80303b90 7fffffff
[  211.180000] $20  : 00000031 ffffffff 00000000 00000003
[  211.180000] $24  : 00000000 8001f9f8 
[  211.180000] $28  : 81826000 81827b48 2b4f4907 80148ee8
[  211.180000] Hi    : 00000000
[  211.180000] Lo    : 0000c9f9
[  211.180000] epc  : 80147b3c 0x80147b3c
[  211.180000]    Not tainted
[  211.180000] ra    : 80148ee8 0x80148ee8
[  211.180000] Status: 10005c02 KERNEL EXL 
[  211.180000] Cause : 00800008
[  211.180000] BadVA : 00000004
[  211.180000] PrId  : 00029006 (Broadcom BMIPS3300)
[  211.180000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat b43legacy b43 ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_REJECT ipt_MASQUERAi
[  211.180000] Process ksoftirqd/0 (pid: 3, threadinfo=81826000, task=8181c008, tls=00000000)
[  211.180000] Stack : 80303b90 7fffffff 00000031 ffffffff 80303d90 80303bc8 80303b90 80051a70
80300000 80300000 0000007f 80300000 80300000 80303b90 2b4f4907 80051ffc
80869b60 81ae7600 00000000 801fc6dc 2b4f4907 00000031 00000031 2b4f4907
00000031 00000001 00000000 00000007 00000000 00000000 0000007f 803084ac
80300000 802b1f10 802b1f24 80017060 00014600 00000001 80c95d00 00000000
...
[  211.180000] Call Trace:[<80051a70>] 0x80051a70
[  211.180000] [<80051ffc>] 0x80051ffc
[  211.180000] [<801fc6dc>] 0x801fc6dc
[  211.180000] [<80017060>] 0x80017060
[  211.180000] [<8004a394>] 0x8004a394
[  211.180000] [<8004a484>] 0x8004a484
[  211.180000] [<8004d0e0>] 0x8004d0e0
[  211.180000] [<80049d50>] 0x80049d50
[  211.180000] [<8001188c>] 0x8001188c
[  211.180000] [<8000ac68>] 0x8000ac68
[  211.180000] [<80001448>] 0x80001448
[  211.180000] [<8001f9f8>] 0x8001f9f8
[  211.180000] [<801eff10>] 0x801eff10
[  211.180000] [<801eb318>] 0x801eb318
[  211.180000] [<80005a98>] 0x80005a98
[  211.180000] [<801f9af4>] 0x801f9af4
[  211.180000] [<801f9ae4>] 0x801f9ae4
[  211.180000] [<81af4104>] 0x81af4104 [b44@81af0000+0x5870]
[  211.180000] [<801fa738>] 0x801fa738
[  211.180000] [<801f9f90>] 0x801f9f90
[  211.180000] [<801f86a0>] 0x801f86a0
[  211.180000] [<80026f44>] 0x80026f44
[  211.180000] [<8003d858>] 0x8003d858
[  211.180000] [<8003e55c>] 0x8003e55c
[  211.180000] [<8003d858>] 0x8003d858
[  211.180000] [<800270a4>] 0x800270a4
[  211.180000] [<8003d858>] 0x8003d858
[  211.180000] [<8003d98c>] 0x8003d98c
[  211.180000] [<8003d858>] 0x8003d858
[  211.180000] [<8003ab1c>] 0x8003ab1c
[  211.180000] [<8003e9a4>] 0x8003e9a4
[  211.180000] [<8003aa40>] 0x8003aa40
[  211.180000] [<800014a8>] 0x800014a8
[  211.180000] 
[  211.180000] 
Code: 30660001  14c00047  00000000 <8c660004> 10460016  00000000  10c00005  00000000  8cc80000 
[  211.180000] ---[ end trace 19ad85936a40859b ]---
[  211.180000] Kernel panic - not syncing: Fatal exception in interrupt
[  211.180000] Rebooting in 3 seconds..
[  173.560000] CPU 0 Unable to handle kernel paging request at virtual address 000000d0, epc == 80040de8, ra == 80050fb0
[  173.560000] Oops[#1]:
[  173.560000] CPU: 0 PID: 0 Comm:  Not tainted 3.18.20 #1
[  173.560000] task: 81912ad8 ti: 8057e000 task.ti:  (null)
[  173.560000] $ 0  : 00000000 10005c00 803036d0 00000000
[  173.560000] $ 4  : 81912ad8 00000000 00000001 00000001
[  173.560000] $ 8  : 00000003 00000100 00010000 00000028
[  173.560000] $12  : 5587565f 00000003 00000000 00000003
[  173.560000] $16  : 81912ad8 00000000 68fbc972 80380000
[  173.560000] $20  : 80380000 00000028 80303d90 8057f800
[  173.560000] $24  : 00000000 8001f9f8 
[  173.560000] $28  : 8057e000 8057f668 00989680 80050fb0
[  173.560000] Hi    : 00000000
[  173.560000] Lo    : 00000000
[  173.560000] epc  : 80040de8 0x80040de8
[  173.560000]    Not tainted
[  173.560000] ra    : 80050fb0 0x80050fb0
[  173.560000] Status: 10005c02 KERNEL EXL 
[  173.560000] Cause : 00800008
[  173.560000] BadVA : 000000d0
[  173.560000] PrId  : 00029006 (Broadcom BMIPS3300)
[  173.560000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat b43legacy b43 ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_REJECT ipt_MASQUERAi
[  173.560000] Process  (pid: 0, threadinfo=8057e000, task=81912ad8, tls=77e0d440)
[  173.560000] Stack : 68fbc972 80380000 80380000 00000028 80303d90 80380000 00000000 8005dfe4
00000028 68fb6e00 00000000 00000028 80303bc8 80303d90 68fbc972 00000028
80303d90 80303bc8 80303b90 7fffffff 00000028 ffffffff 00000000 00000003
68fba7be 80051a4c 80300000 80300000 000000ba 80300000 80300000 80303b90
68fba7be 80051ffc 80dc0000 80804c24 00000000 80dba068 68fba7be 00000028
...
[  173.560000] Call Trace:[<8005dfe4>] 0x8005dfe4
[  173.560000] [<80051a4c>] 0x80051a4c
[  173.560000] [<80051ffc>] 0x80051ffc
[  173.560000] [<80dba068>] 0x80dba068 [ppp_generic@80db8000+0x4f10]
[  173.560000] [<80017060>] 0x80017060
[  173.560000] [<8004a394>] 0x8004a394
[  173.560000] [<8004a484>] 0x8004a484
[  173.560000] [<8004d0e0>] 0x8004d0e0
[  173.560000] [<80049d50>] 0x80049d50
[  173.560000] [<8022f428>] 0x8022f428
[  173.560000] [<8001188c>] 0x8001188c
[  173.560000] [<8000ac68>] 0x8000ac68
[  173.560000] [<80001448>] 0x80001448
[  173.560000] [<8001f9f8>] 0x8001f9f8
[  173.560000] [<801eff10>] 0x801eff10
[  173.560000] [<801eb318>] 0x801eb318
[  173.560000] [<80005a90>] 0x80005a90
[  173.560000] [<801f9af4>] 0x801f9af4
[  173.560000] [<801f00a4>] 0x801f00a4
[  173.560000] [<81af4104>] 0x81af4104 [b44@81af0000+0x5870]
[  173.560000] [<800719e0>] 0x800719e0
[  173.560000] [<801f9f90>] 0x801f9f90
[  173.560000] [<801f86a0>] 0x801f86a0
[  173.560000] [<80026f44>] 0x80026f44
[  173.560000] [<80e60794>] 0x80e60794 [ath9k@80e60000+0x14290]
[  173.560000] [<801fa738>] 0x801fa738
[  173.560000] [<81b104a8>] 0x81b104a8 [nf_conntrack@81b10000+0xb390]
[  173.560000] [<80027150>] 0x80027150
[  173.560000] [<800276c4>] 0x800276c4
[  173.560000] [<80027208>] 0x80027208
[  173.560000] [<81b104c0>] 0x81b104c0 [nf_conntrack@81b10000+0xb390]
[  173.560000] [<81b12318>] 0x81b12318 [nf_conntrack@81b10000+0xb390]
[  173.560000] [<80027150>] 0x80027150
[  173.560000] [<801ed6fc>] 0x801ed6fc
[  173.560000] [<80044500>] 0x80044500
[  173.560000] [<801ed890>] 0x801ed890
[  173.560000] [<81b782c0>] 0x81b782c0 [ip_tables@81b78000+0x23f0]
[  173.560000] [<80044548>] 0x80044548
[  173.560000] [<801ed890>] 0x801ed890
[  173.560000] [<80224f18>] 0x80224f18
[  173.560000] [<8022e484>] 0x8022e484
[  173.560000] [<8022ff84>] 0x8022ff84
[  173.560000] [<801e6f18>] 0x801e6f18
[  173.560000] [<80225008>] 0x80225008
[  173.560000] [<8022e484>] 0x8022e484
[  173.560000] [<80230a78>] 0x80230a78
[  173.560000] [<8022e484>] 0x8022e484
[  173.560000] [<80230ab4>] 0x80230ab4
[  173.560000] [<80231f10>] 0x80231f10
[  173.560000] [<80255470>] 0x80255470
[  173.560000] [<802284e0>] 0x802284e0
[  173.560000] [<80257644>] 0x80257644
[  173.560000] [<802a2fec>] 0x802a2fec
[  173.560000] [<801fc1a0>] 0x801fc1a0
[  173.560000] [<801fbc70>] 0x801fbc70
[  173.560000] [<8022ff50>] 0x8022ff50
[  173.560000] [<801e2b40>] 0x801e2b40
[  173.560000] [<801fbc70>] 0x801fbc70
[  173.560000] [<8022cac8>] 0x8022cac8
[  173.560000] [<8022f428>] 0x8022f428
[  173.560000] [<801ead64>] 0x801ead64
[  173.560000] [<801e44ec>] 0x801e44ec
[  173.560000] [<8022fd54>] 0x8022fd54
[  173.560000] [<8022b3f0>] 0x8022b3f0
[  173.560000] [<8022cac8>] 0x8022cac8
[  173.560000] [<801f9ae4>] 0x801f9ae4
[  173.560000] [<80e60600>] 0x80e60600 [ath9k@80e60000+0x14290]
[  173.560000] [<801e56e8>] 0x801e56e8
[  173.560000] [<800074ac>] 0x800074ac
[  173.560000] [<800037a8>] 0x800037a8
[  173.560000] 
[  173.560000] 
Code: 8c8501e8  00a73821  ac8701e8 <8c6500d0> 10a00004  00000000  8c840400  14800010  00000000 
[  173.560000] ---[ end trace 94aaa3e574d83538 ]---
[  173.560000] Kernel panic - not syncing: Fatal exception in interrupt
[  173.560000] Rebooting in 3 seconds..

If installing dd-wrt, routers are able to download for hours without any reset occurring.

comment:43 Changed 2 years ago by Slicer

Hello,

I tested it today again with the trunk-Snapshot:
Linux OpenWrt 4.1.13 Wed Jan 6 21:05:10 CET 2016 mips GNU/Linux

I have the impression the the connection is a little more stable as under CC.

Hopefully any build based on Kernel 4.4 with patches will be available soon.

Thanks

comment:44 Changed 2 years ago by anton@…

Confirmed on CHAOS CALMER (Chaos Calmer, r48430) and DIR320 rev A1 (broadcom)
Linux router 3.18.23 #18 Sun Feb 7 05:46:12 MSK 2016 mips GNU/Linux

comment:45 Changed 2 years ago by Slicer

With the new Chaos Calmer Head (March 5th) and a new compiled image the connection is stable over wireless lan. The maximum throughput is about 10Mbps.
Unfortunaltely the connection is crashing with a lan connection. With ths kind of connection the peak is about 20Mbps but crashes immediately.
All measuremetns were done with speedtest.net.
Hope that helps a little bit.

comment:46 Changed 23 months ago by anonymous

Hi,

I experience the same issue on ASUS RT-N16. Reproducible with CC and trunk. Router silently reboots when traffic goes over 10Mbit/s.

I can provide more information on request.

comment:47 Changed 22 months ago by diagiman

Same with my ASUS RT-N16. It worked fine on 14.07rc3 about a year. Some time ago noticed reboots once or twice a week. Maybe link bandwidth is getting better).
Recently upgraded it to CC15.05 and then also to 15.05.1 with no luck.
Yesterday (March 29th) have built trunk with 4.1 kernel (currently default) and 4.4 kernel. No changes here(.
Random reboots. I think high load only increases probability of crash. Almost impossible to download a 1G file at single pass.
Tried to figure module causing crash and could not.

comment:48 Changed 22 months ago by anonymous

For me the same: stable when load is low.
When I use wifi in congested area - there is no problem.
When dowloading over lan with fast ISP on wan - reboots after reaching about 20MBits/s.

I am using current snapshot version, and original wl package for wifi

comment:49 follow-up: Changed 22 months ago by anonymous

same here. any chance to make the devices usable again?

comment:50 in reply to: ↑ 49 Changed 22 months ago by rmilecki

Replying to anonymous:

same here. any chance to make the devices usable again?

As I said in comment:39 further reports & log are useless. For some reason ppl think adding more confirmations & logs will help anyway.

This is some very low level stuff, it requires someone with this particular hardware knowledge (its bugs) or developer who is going to spend many hours looking at random things.
We don't have any of above.

comment:51 follow-up: Changed 22 months ago by ciprian.alexan

Is there a workaround for this issue?
Is there a way to configure some bandwidth limitation in order to have this device operational?
Slow, but at least useful.

comment:52 follow-up: Changed 21 months ago by Ext3h

Same problem for me as well, a WR1043NDv1 with latest trunk. Random crashes during high load on the wired interface.

It looks though as if there is a workaround:

# /etc/sysctl.conf
net.netfilter.nf_conntrack_max=4096
net.netfilter.nf_conntrack_tcp_timeout_established=600
net.netfilter.nf_conntrack_udp_timeout=30
net.netfilter.nf_conntrack_udp_timeout_stream=180

I'm clueless as to why this works, and it will cause connection drops with P2P load, but so far it saved me from the reboots.

So far, I could only reliably trigger the reboots by having >=5k connections tracked simultaneously, and for some unknown reason, there are far more unique connections tracked than actually established, but only on the wired interface. When using the wireless interface, the connections don't spike like that.

Is there possibly any traffic already pre-filtered on the wireless interface? Something which could otherwise trip the connection tracking?

And why does a growing contrack table cause a kernel panic in random modules?

comment:53 in reply to: ↑ 52 Changed 21 months ago by basinilya

Replying to Ext3h:

Same problem for me as well, a WR1043NDv1 with latest trunk. Random crashes during high load on the wired interface.

It looks though as if there is a workaround:

# /etc/sysctl.conf
net.netfilter.nf_conntrack_max=4096
net.netfilter.nf_conntrack_tcp_timeout_established=600
net.netfilter.nf_conntrack_udp_timeout=30
net.netfilter.nf_conntrack_udp_timeout_stream=180

In my case it didn't help. The router rebooted twice, when I tried to download a dd-wrt image :). No p2p clients were running. wl500-gP v1, 15.05.1, PPPoE 30MBit

Last edited 21 months ago by basinilya (previous) (diff)

comment:54 in reply to: ↑ 51 Changed 19 months ago by anonymous

Replying to ciprian.alexan:

Is there a workaround for this issue?
Is there a way to configure some bandwidth limitation in order to have this device operational?
Slow, but at least useful.

I successfully fight reboots on high load with luci-app-qos. Setting bandwidth to less than 20000 helps on Asus WL500gP.

Add Comment

Modify Ticket

Action
as assigned .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.